<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists("CMA_Shortcodes_Widget")) {

    class CMA_Shortcodes_Widget extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = __('Widgets', 'pi-cma');
            $settings['description'] = __('Loads widget based on shortcode parameters.', 'pi-cma');
            $settings['shortcode'] = 'cma_widget';
            $settings['nested'] = 0;
            $settings['hide_in_ui'] = 1;

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $post, $cma_yoast_analysis_post_id, $cma_yoast_analysis_content;

            extract(shortcode_atts(array(
                'class' => '',
                'id' => ''
                            ), $atts, 'cma_widget'));

            if (!class_exists($class))
                return;

            $the_widget = new $class;

            $classes = array('cma-wp-widget', 'widget');
            if (!empty($the_widget->id_base))
                $classes[] = 'widget_' . $the_widget->id_base;

            if (!empty($the_widget->widget_options) && isset($the_widget->widget_options['classname']) && !empty($the_widget->widget_options['classname'])) {
                $classes[] = 'cma_' . $the_widget->widget_options['classname'];
            }

            if (!empty($cma_yoast_analysis_post_id) && !empty($cma_yoast_analysis_content)) {                
                
                 // decode to array
                $post_meta = json_decode(wp_unslash($cma_yoast_analysis_content), true);
            } else {
                // get post meta
                $post_meta = get_post_meta($post->ID, 'cma_layout_data');
                // decode to array
                $post_meta = json_decode($post_meta[0], true);
            }

            // get widget position by id
            $wpos = cma_shortcode_by_id($post_meta, $id);

            if (count($wpos) == 3) {
                $widget_options = $post_meta['rows'][$wpos[0]]['grids'][$wpos[1]]['elements'][$wpos[2]]['options'];
            }

            ob_start();
            $the_widget->widget(array(
                'before_widget' => '<div class="' . esc_attr(implode(' ', $classes)) . '" id="cma-widget-' . $class . '-' . $id . '">',
                'after_widget' => '</div>',
                'before_title' => '<h3 class="widget-title">',
                'after_title' => '</h3>',
                'widget_id' => 'widget-' . $class . '-' . $id
                    ), $widget_options);
            $html = ob_get_clean();

            return $html;
        }

    }

}
?>
