<?php
/**
 * The default template for displaying content
 */
// meta position
global $vlc_blog_style, $volcanno_options, $vlc_is_retina, $post, $vlc_post_timeline_position, $volcanno_theme_config;

// get all data needed to render HTML
require( locate_template('content-data.php') );

// if Core plugin isn't activated or user didn't fill neccesarry data 
// for this post format, load default post format
if (!RWMB_META_BOX || empty($audio_string)) {
    get_template_part('content');
    return true;
}
?>

<!-- .blog-post.format-standard start -->
<li id="post-<?php the_ID(); ?>" <?php post_class($list_classes); ?>>

    <?php if ($vlc_blog_style == 'blog-post-standard' || $vlc_blog_style == 'blog-post-list') { ?>

        <?php if ($vlc_blog_style == 'blog-post-standard'): ?>
            <div class="post-media">
                <div class="audio-player with-image">
                    <div id="jquery_jplayer_1" class="jp-jplayer"></div>

                    <div id="jp_container_1" class="jp-audio">
                        <div class="jp-type-playlist">
                            <div class="jp-gui jp-interface">
                                <ul class="jp-controls">
                                    <li><a href="javascript:;" class="jp-previous" tabindex="1"><?php esc_html_e('previous', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-play" tabindex="1"><?php esc_html_e('play', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-pause" tabindex="1"><?php esc_html_e('pause', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-next" tabindex="1"><?php esc_html_e('next', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-stop" tabindex="1"><?php esc_html_e('stop', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-mute" tabindex="1" title="mute"><?php esc_html_e('mute', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-unmute" tabindex="1" title="unmute"><?php esc_html_e('unmute', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-volume-max" tabindex="1" title="max volume"><?php esc_html_e('max volume', 'trucking') ?></a></li>
                                </ul>
                                <div class="jp-progress">
                                    <div class="jp-seek-bar">
                                        <div class="jp-play-bar"></div>
                                    </div>
                                </div>
                                <div class="jp-volume-bar">
                                    <div class="jp-volume-bar-value"></div>
                                </div>
                                <div class="jp-time-holder">
                                    <div class="jp-current-time"></div>
                                    <div class="jp-duration"></div>
                                </div>
                                <ul class="jp-toggles">
                                    <li><a href="javascript:;" class="jp-shuffle" tabindex="1" title="shuffle"><?php esc_html_e('shuffle', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-shuffle-off" tabindex="1" title="shuffle off"><?php esc_html_e('shuffle off', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-repeat" tabindex="1" title="repeat"><?php esc_html_e('repeat', 'trucking') ?></a></li>
                                    <li><a href="javascript:;" class="jp-repeat-off" tabindex="1" title="repeat off"><?php esc_html_e('repeat off', 'trucking') ?></a></li>
                                </ul>
                            </div>
                            <div class="jp-no-solution">
                                <span><?php esc_html_e('Update Required', 'trucking') ?></span>
                                <?php echo wp_kses(__('To play the media you will need to either update your browser to a recent version or update your <a href="//get.adobe.com/flashplayer/" target="_blank">Flash plugin', 'trucking'), $volcanno_theme_config['allowed_html_tags']) ?></a>.
                            </div>
                        </div>
                    </div><!-- .jp-audio -->
                </div><!-- audio-player end -->
            </div><!-- .post-media end -->
        <?php endif; ?>

        <div class="post-date">
            <p class="day"><?php the_time('d') ?></p>
            <p class="month"><?php mb_strtoupper(the_time('M')); ?></p>            
        </div>

        <article class="post-body <?php if (has_tag()) echo "has-tags"; ?>">
            <a href="<?php echo esc_url($post_permalink) ?>">
                <h3><?php the_title(); ?></h3>
            </a>
            <?php if ((is_single() && $single_post_meta == '1' && has_tag()) || (is_home() && $blog_post_meta == '1' && has_tag())): ?>
                <div class="post-tags fa fa-tags"><?php the_tags('', ', ') ?></div>
            <?php endif; ?>

            <?php
            if (is_single()) {
                the_content();
                wp_link_pages(array('before' => '<p class="wp-link-pages">Pages: ', 'after' => '</p>'));
            } else {
                // if user inserts more tag get regular content instead excerpt
                if (preg_match('/<!--more(.*?)?-->/', $post->post_content)) {
                    the_content();
                } else {
                    the_excerpt();
                }
            }
            ?>
            <?php if (!is_single() && $read_more == '1'): ?>
                <a class="read-more" href="<?php echo esc_url($post_permalink) ?>">
                    <span><?php echo!empty($read_more_text) ? wp_kses($read_more_text, array('strong' => array())) : esc_html__('Read More', 'trucking') ?> <i class="fa fa-chevron-right"></i></span>
                </a>
            <?php endif; ?>            
        </article><!-- .post-body end -->
        <?php
        if (is_single()) {
            // echo post author content
            do_action('volcanno_post_author_html');

            // get comments html
            comments_template('', true);
        }
        ?>
        <?php
    } else if ($vlc_blog_style == 'blog-post-masonry') {
        $post_category = get_the_category();
        $first_cat = $post_category[0];
        ?>

        <div class="post-info">
            <div class="post-date clearfix">
                <p><i class="fa fa-calendar"></i><?php mb_strtoupper(the_time('M d, Y')); ?></p>
            </div>          
            <div class="post-category">
                <a href="#"><?php echo esc_html($first_cat->cat_name) ?></a>
            </div>
        </div><!-- .post-info end -->

        <article class="post-body">
            <a href="<?php echo esc_url($post_permalink) ?>">
                <h3><?php the_title(); ?></h3>
            </a>

            <?php
            if (is_single()) {
                the_content();
                wp_link_pages(array('before' => '<p class="wp-link-pages">Pages: ', 'after' => '</p>'));
            } else {
                // if user inserts more tag get regular content instead excerpt
                if (preg_match('/<!--more(.*?)?-->/', $post->post_content)) {
                    the_content();
                } else {
                    the_excerpt();
                }
            }
            ?>
        </article><!-- .post-body end -->

        <div class="post-media">
            <div class="audio-player with-image">
                <div id="jquery_jplayer_1" class="jp-jplayer"></div>

                <div id="jp_container_1" class="jp-audio">
                    <div class="jp-type-playlist">
                        <div class="jp-gui jp-interface">
                            <ul class="jp-controls">
                                <li><a href="javascript:;" class="jp-previous" tabindex="1"><?php esc_html_e('previous', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-play" tabindex="1"><?php esc_html_e('play', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-pause" tabindex="1"><?php esc_html_e('pause', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-next" tabindex="1"><?php esc_html_e('next', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-stop" tabindex="1"><?php esc_html_e('stop', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-mute" tabindex="1" title="mute"><?php esc_html_e('mute', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-unmute" tabindex="1" title="unmute"><?php esc_html_e('unmute', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-volume-max" tabindex="1" title="max volume"><?php esc_html_e('max volume', 'trucking') ?></a></li>
                            </ul>
                            <div class="jp-progress">
                                <div class="jp-seek-bar">
                                    <div class="jp-play-bar"></div>
                                </div>
                            </div>
                            <div class="jp-volume-bar">
                                <div class="jp-volume-bar-value"></div>
                            </div>
                            <div class="jp-time-holder">
                                <div class="jp-current-time"></div>
                                <div class="jp-duration"></div>
                            </div>
                            <ul class="jp-toggles">
                                <li><a href="javascript:;" class="jp-shuffle" tabindex="1" title="shuffle"><?php esc_html_e('shuffle', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-shuffle-off" tabindex="1" title="shuffle off"><?php esc_html_e('shuffle off', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-repeat" tabindex="1" title="repeat"><?php esc_html_e('repeat', 'trucking') ?></a></li>
                                <li><a href="javascript:;" class="jp-repeat-off" tabindex="1" title="repeat off"><?php esc_html_e('repeat off', 'trucking') ?></a></li>
                            </ul>
                        </div>
                        <div class="jp-no-solution">
                            <span><?php esc_html_e('Update Required', 'trucking') ?></span>
                            <?php echo wp_kses(__('To play the media you will need to either update your browser to a recent version or update your <a href="//get.adobe.com/flashplayer/" target="_blank">Flash plugin', 'trucking'), $volcanno_theme_config['allowed_html_tags']) ?></a>.
                        </div>
                    </div>
                </div><!-- .jp-audio -->
            </div><!-- audio-player end -->
        </div><!-- .post-media end -->

        <div class="post-footer">
            <ul class="post-meta">
                <li class="comments fa fa-comments-o"><a href="<?php echo esc_url($post_permalink) ?>"><?php echo get_comments_number(); ?></a></li>                    
            </ul><!-- .post-meta end -->

            <?php if (!is_single() && $read_more == '1'): ?>
                <a class="read-more" href="<?php echo esc_url($post_permalink) ?>">
                    <span>
                        <?php echo!empty($read_more_text) ? wp_kses($read_more_text, array('strong' => array())) : esc_html__('Read More', 'trucking') ?>
                        <i class="fa fa-external-link"></i>
                    </span>
                </a>
            <?php endif; ?>

        </div>

    <?php } ?>
    <script>
        jQuery(function () {
            var audioEncodedUrls = <?php echo $encoded_urls ?>;
            var audioSwfPath = <?php echo '"' . TEMPLATEURL . '/js/jplayer/"'; ?>;
            VolcannoFunctions.audioPostInit(audioEncodedUrls, audioSwfPath);
        });

    </script>
</li><!-- blog post end -->

