<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Clients_Grid")) {

    class CMA_Shortcodes_Clients_Grid extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Clients Grid', 'trucking');
            $settings['description'] = esc_html__('Grid with images.', 'trucking');
            $settings['shortcode'] = 'cma_clients_grid';
            $settings['nested'] = false;
            $settings['selected_option'] = 'type'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            $item_icon = 'fa-paint-brush';

            extract(shortcode_atts(array(
                'images' => ''
                            ), $atts, 'cma_clients_grid'));
            
            // split string of images
            $images = explode(',', $images);

            $html = "<ul class='clients-li clearfix'>";

            foreach ($images as $index => $image) {

                //get first image
                $image_url = wp_get_attachment_image_src($image, 'full');

                if (empty($image_url))
                    continue;
                
                // get attachment object
                $attachment = get_post($image);
                
                // use caption if not empty, otherwise post title
                if(!empty($attachment->post_excerpt)){
                    $caption = esc_attr($attachment->post_excerpt);
                }else{
                    $caption = esc_attr($attachment->post_title);
                }

                $html .= "<li><img src='{$image_url[0]}' alt='{$caption}'/></li>";
            }

            $html .= "</ul>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'images' => array(
                    'type' => 'image',
                    'title' => esc_html__('Images', 'trucking'),
                    'description' => esc_html__('Upload images.', 'trucking')
                ),
            );
        }

    }

}
?>
