<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Events_Table")) {

    class CMA_Shortcodes_Events_Table extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Events Table', 'trucking');
            $settings['description'] = esc_html__('Table with list of events.', 'trucking');
            $settings['shortcode'] = 'cma_events_table';
            $settings['nested'] = false;

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $volcanno_theme_config;

            $html_images = '';
            $html_caption = '';

            extract(shortcode_atts(array(
                'images' => '',
                'navigation' => '1',
                'manual_advance' => '1',
                'pause_hover' => '1',
                'pause' => '3000'
                            ), $atts, 'cma_events_table'));

            foreach ($images as $index => $image) {
                
                // split string of images
                $slider_image = explode(',', $image['image']);

                //get first image
                $image_url = wp_get_attachment_image_src($slider_image[0], 'full');

                if (empty($image_url))
                    continue;

                $html_images .= "<img src='{$image_url[0]}' alt='slider image' title='#htmlcaption-event-{$index}'/>";

                // create caption html
                $html_caption .= "<div id='htmlcaption-event-{$index}' class='nivo-caption'>"
                        . "<h4>{$image['title']} <span class='text-base-color02'>{$image['date']}</span></h4>"
                        . "<p>{$image['description']}</p>"
                        . "</div>";
            }

            $html = "<div class='nivo-wrapper'><div class='events-slider' data-manual='{$manual_advance}' data-pause='{$pause}' data-navigation='{$navigation}' data-pause-hover='{$pause_hover}'>{$html_images}</div>{$html_caption}</div>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'navigation' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Show navigation', 'trucking'),
                    'description' => esc_html__('Check this to show navigation.', 'trucking'),
                    'default' => '1'
                ),
                'manual_advance' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Force manual transitions', 'trucking'),
                    'description' => esc_html__('Disable automatic sliding.', 'trucking'),
                    'default' => '1'
                ),
                'pause_hover' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Hover pause', 'trucking'),
                    'description' => esc_html__('Pause sliding on hover.', 'trucking'),
                    'default' => '1'
                ),
                'pause' => array(
                    'type' => 'number',
                    'title' => esc_html__('Slide Pause', 'trucking'),
                    'description' => esc_html__('Enter sliding timeout.', 'trucking'),
                    'default' => '3000',
                    'options' => array(
                        'step' => 10
                    )
                ),
                'images' => array(
                    'type' => 'group',
                    'title' => esc_html__('Images', 'trucking'),
                    'max' => '',
                    'options' => array(
                        'image' => array(
                            'type' => 'image',
                            'title' => esc_html__('Images', 'trucking'),
                            'description' => esc_html__('Upload slider images.', 'trucking')
                        ),
                        'title' => array(
                            'type' => 'text',
                            'title' => esc_html__('Title', 'trucking'),
                            'description' => esc_html__('Enter event title.', 'trucking')
                        ),
                        'date' => array(
                            'type' => 'text',
                            'title' => esc_html__('Date', 'trucking'),
                            'description' => esc_html__('Enter event date.', 'trucking')
                        ),
                        'description' => array(
                            'type' => 'text',
                            'title' => esc_html__('Description', 'trucking'),
                            'description' => esc_html__('Enter event description.', 'trucking')
                        )
                    )
                ),
            );
        }

    }

}
?>
