<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Heading")) {

    class CMA_Shortcodes_Heading extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Heading', 'trucking');
            $settings['description'] = esc_html__('Two types of section titles.', 'trucking');
            $settings['shortcode'] = 'cma_heading';
            $settings['nested'] = false;
            $settings['selected_option'] = 'title'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $volcanno_theme_config;

            extract(shortcode_atts(array(
                'type' => 'with_subtitle',
                'subtitle' => '',
                'title' => 'Heading text',
                'text_size' => ''
                            ), $atts, 'cma_heading'));

            $title = wp_kses($title, $volcanno_theme_config['allowed_html_tags']);
            $subtitle = wp_kses($subtitle, $volcanno_theme_config['allowed_html_tags']);

            if ($type == 'with_subtitle') {
                $subtitle_html = !empty($subtitle) ? "<p>{$subtitle}</p>" : '';

                if (empty($text_size))
                    $text_size = 'h2';

                $html = "<div class='custom-heading02'>
                            <{$text_size}>{$title}</{$text_size}>
                            {$subtitle_html}
                        </div>";
            } else if ($type == 'left') {
                if (empty($text_size))
                    $text_size = 'h4';

                $html = "<div class='custom-heading'>
                            <{$text_size}>{$title}</{$text_size}>                            
                        </div>";
            }else if ($type == 'centered_top') {
                if (empty($text_size))
                    $text_size = 'h3';

                $html = "<div class='custom-heading centered'>
                            <{$text_size}>{$title}</{$text_size}>
                        </div>";
            } else if ($type == 'centered_bottom') {
                if (empty($text_size))
                    $text_size = 'h3';

                $html = "<div class='custom-heading02 simple'>
                            <{$text_size}>{$title}</{$text_size}>
                        </div>";
            }

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Type', 'trucking'),
                    'description' => esc_html__('Select heading type.', 'trucking'),
                    'options' => array(
                        'with_subtitle' => esc_html__('Centered with subtitle', 'trucking'),
                        'centered_top' => esc_html__('Centered - line top', 'trucking'),
                        'centered_bottom' => esc_html__('Centered - line bottom', 'trucking'),
                        'left' => esc_html__('Left', 'trucking')
                    ),
                    'default' => 'with_subtitle'
                ),
                'title' => array(
                    'type' => 'text',
                    'title' => esc_html__('Title', 'trucking'),
                    'description' => esc_html__('Enter heading title.', 'trucking'),
                    'placeholder' => 'Title'
                ),
                'subtitle' => array(
                    'type' => 'text',
                    'title' => esc_html__('Subtitle', 'trucking'),
                    'description' => esc_html__('Enter text below title.', 'trucking'),
                    'placeholder' => 'Subtitle',
                    'condition' => array('type', '==', 'with_subtitle')
                ),
                'text_size' => array(
                    'type' => 'select',
                    'title' => esc_html__('Large text size', 'trucking'),
                    'description' => esc_html__('Select text size.', 'trucking'),
                    'options' => array(
                        '' => '- Heading size -',
                        'h1' => 'H1',
                        'h2' => 'H2',
                        'h3' => 'H3',
                        'h4' => 'H4',
                        'h5' => 'H5',
                        'h6' => 'H6'
                    ),
                    'default' => ''
                )
            );
        }

    }

}
?>
