<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Stats")) {

    class CMA_Shortcodes_Stats extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Stats', 'trucking');
            $settings['description'] = esc_html__('Animated statistics.', 'trucking');
            $settings['shortcode'] = 'cma_stats';
            $settings['nested'] = false;
            $settings['selected_option'] = 'text'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function enqueue_scripts() {
            /* jQuery Countdown timer */
            wp_register_script('cma-scripts-countdown', CMA_CONTENT_URL . 'stats/js/jquery.countTo.js', array('jquery'), '1.0', TRUE);

            /* script */
            wp_enqueue_script('cma-scripts-stats', CMA_CONTENT_URL . 'stats/js/stats.js', array('jquery', 'cma-scripts-countdown', 'cma-waypoints'), '1.0', TRUE);
        }

        function shortcode_html($atts = array(), $content = null) {

            extract(shortcode_atts(array(
                'text' => 'Stats text',
                'number' => '3000',
                            ), $atts, 'cma_stats'));

            // clean and split string
            $number = trim($number);
            $splited = preg_split("/[{}]+/", $number, -1, PREG_SPLIT_NO_EMPTY);
            $text = esc_html($text);

            // check how many items array holds
            if (is_array($splited) && count($splited) > 1) {
                $first_part = $splited[0];
                $first_part_brackets = "{" . $splited[0] . "}";

                // check if first part is static or dynamic
                if (strpos($number, $first_part) == 0) {
                    $static = $splited[1];
                    $dynamic = $splited[0];

                    $timer = "<span class='timer number' data-to='{$dynamic}' data-speed='1500'>{$dynamic}</span>" . $static;
                } else if (strpos($number, $first_part_brackets) == 0) {
                    $static = $splited[0];
                    $dynamic = $splited[1];

                    $timer = $static . "<span class='timer number' data-to='{$dynamic}' data-speed='1500'>{$dynamic}</span>";
                }
            } else {
                $timer = "<span class='timer number' data-to='{$number}' data-speed='1500'>{$number}</span>";
            }

            $html = "<div class='numbers-counter'>                            
                            <div class='counter-container'>
                                {$timer}
                            </div>
                            
                            <p>{$text}</p>
                        </div>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'text' => array(
                    'type' => 'text',
                    'title' => esc_html__('Text', 'trucking'),
                    'description' => esc_html__('Enter item title/text.', 'trucking'),
                    'placeholder' => 'Stats text'
                ),
                'number' => array(
                    'type' => 'text',
                    'title' => esc_html__('Number', 'trucking'),
                    'description' => esc_html__('Enter number/count. Use {} for static text e.g. 567{K} or {$}7000', 'trucking'),
                    'placeholder' => '3000'
                )
            );
        }

    }

}
?>
