<?php
/**
 * The default template for displaying content
 */
// meta position
global $vlc_blog_style, $volcanno_options, $vlc_is_retina, $post, $vlc_post_timeline_position;

// get all data needed to render HTML
require( locate_template('content-data.php') );
?>

<!-- .blog-post.format-standard start -->
<li id="post-<?php the_ID(); ?>" <?php post_class($list_classes); ?>>

    <?php if ($vlc_blog_style == 'blog-post-standard' || $vlc_blog_style == 'blog-post-list') { ?>        

        <div class="post-date">
            <p class="day"><?php the_time('d') ?></p>
            <p class="month"><?php mb_strtoupper(the_time('M')); ?></p>            
        </div>

        <article class="post-body <?php if (has_tag()) echo "has-tags"; ?>">
            <a href="<?php echo esc_url($post_permalink) ?>">
                <h3><?php the_title(); ?></h3>
            </a>

            <?php if ((is_single() && $single_post_meta == '1' && has_tag()) || (is_home() && $blog_post_meta == '1' && has_tag())): ?>
                <div class="post-tags fa fa-tags"><?php the_tags('', ', ') ?></div>
            <?php endif; ?>

            <div class="post-media">
                <blockquote class="blockquote-style-2 theme-color">
                    <p>
                        <?php echo wp_kses_post($quote_text); ?>
                        <?php echo "<cite>" . esc_html($quote_author) . "</cite>"; ?>
                    </p>
                </blockquote>
            </div><!-- .post-media end -->


            <?php
            if (is_single()) {
                the_content();
                wp_link_pages(array('before' => '<p class="wp-link-pages">Pages: ', 'after' => '</p>'));
            } else {
                // if user inserts more tag get regular content instead excerpt
                if (preg_match('/<!--more(.*?)?-->/', $post->post_content)) {
                    the_content();
                } else {
                    the_excerpt();
                }
            }
            ?>
            <?php if (!is_single() && $read_more == '1'): ?>
                <a class="read-more" href="<?php echo esc_url($post_permalink) ?>">
                    <span><?php echo!empty($read_more_text) ? wp_kses($read_more_text, array('strong' => array())) : esc_html__('Read More', 'trucking') ?> <i class="fa fa-chevron-right"></i></span>                 
                </a>
            <?php endif; ?>            
        </article><!-- .post-body end -->

        <?php
        if (is_single()) {
            // echo post author content
            do_action('volcanno_post_author_html');

            // get comments html
            comments_template('', true);
        }
        ?>
        <?php
    } else if ($vlc_blog_style == 'blog-post-masonry') {
        $post_category = get_the_category();
        $first_cat = $post_category[0];
        ?>

        <div class="post-info">
            <div class="post-date clearfix">
                <p><i class="fa fa-calendar"></i><?php mb_strtoupper(the_time('M d, Y')); ?></p>
            </div>          
            <div class="post-category">
                <a href="#"><?php echo esc_html($first_cat->cat_name) ?></a>
            </div>
        </div><!-- .post-info end -->

        <article class="post-body">
            <a href="<?php echo esc_url($post_permalink) ?>">
                <h3><?php the_title(); ?></h3>
            </a>

            <?php
            if (is_single()) {
                the_content();
                wp_link_pages(array('before' => '<p class="wp-link-pages">Pages: ', 'after' => '</p>'));
            } else {
                // if user inserts more tag get regular content instead excerpt
                if (preg_match('/<!--more(.*?)?-->/', $post->post_content)) {
                    the_content();
                } else {
                    the_excerpt();
                }
            }
            ?>
        </article><!-- .post-body end -->

        <div class="post-media">
            <blockquote class="blockquote-style-2 theme-color">
                <p>
                    <?php echo wp_kses_post($quote_text); ?>
                    <?php echo "<cite>" . esc_html($quote_author) . "</cite>"; ?>
                </p>
            </blockquote>
        </div><!-- .post-media end -->

        <div class="post-footer">
            <ul class="post-meta">
                <li class="comments fa fa-comments-o"><a href="<?php echo esc_url($post_permalink) ?>"><?php echo get_comments_number(); ?></a></li>                    
            </ul><!-- .post-meta end -->

            <?php if (!is_single() && $read_more == '1'): ?>
                <a class="read-more" href="<?php echo esc_url($post_permalink) ?>">
                    <span>
                        <?php echo!empty($read_more_text) ? wp_kses($read_more_text, array('strong' => array())) : esc_html__('Read More', 'trucking') ?>
                        <i class="fa fa-external-link"></i>
                    </span>
                </a>
            <?php endif; ?>

        </div>

    <?php } ?>

</li><!-- blog post end -->

