<?php

/**
 * VOLCANNO FRAMEWORK
 * 
 * This is main file loader for Volcanno framework.
 * 
 * Version: 1.0
 */

global $volcanno_theme_config;

// Include helper functions
// Load from Child theme is file is available
if (file_exists(get_stylesheet_directory() . '/core/libs/helper.php')) {

    require_once get_stylesheet_directory() . '/core/libs/helper.php';
}
// Load from Parent theme is file is available
else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/helper.php')) {

    require_once VOLCANNO_THEME_DIR . '/core/libs/helper.php';
}


// Include core functions
// Load from Child theme is file is available
if (file_exists(get_stylesheet_directory() . '/core/libs/core.php')) {

    require_once get_stylesheet_directory() . '/core/libs/core.php';
}
// Load from Parent theme is file is available
else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/core.php')) {

    require_once VOLCANNO_THEME_DIR . '/core/libs/core.php';
}


// Load file with Icon Font functions
// Load from Child theme is file is available
if (file_exists(get_stylesheet_directory() . '/core/libs/icon-fonts.php')) {

    require_once get_stylesheet_directory() . '/core/libs/icon-fonts.php';
}
// Load from Parent theme is file is available
else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/icon-fonts.php')) {

    require_once VOLCANNO_THEME_DIR . '/core/libs/icon-fonts.php';
}

if (is_admin()) {

    // create admin menu
    // Load One click installer from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/core/libs/admin-menu.php')) {

        require_once get_stylesheet_directory() . '/core/libs/admin-menu.php';
    }
    // Load One click installer from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/admin-menu.php')) {

        require VOLCANNO_THEME_DIR . '/core/libs/admin-menu.php';
    }

    // one click installer
    if (!isset($volcanno_theme_config['include']['one_click_installer']) || $volcanno_theme_config['include']['one_click_installer'] == '1') {

        // Load One click installer from Child theme is file is available
        if (file_exists(get_stylesheet_directory() . '/includes/one-click-install.php')) {

            require_once get_stylesheet_directory() . '/includes/one-click-install.php';
        }
        // Load One click installer from Parent theme is file is available
        else if (file_exists(VOLCANNO_THEME_DIR . '/includes/one-click-install.php')) {

            require_once VOLCANNO_THEME_DIR . '/includes/one-click-install.php';
        }
    }
}

// Load Redux files
if (!isset($volcanno_theme_config['include']['theme_options']) || $volcanno_theme_config['include']['theme_options'] == '1') {

    // Load from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/core/theme-options/loader.php')) {

        require_once get_stylesheet_directory() . '/core/theme-options/loader.php';
    }
    // Load from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/core/theme-options/loader.php')) {

        require_once VOLCANNO_THEME_DIR . '/core/theme-options/loader.php';
    }
}

// Load MetaBox registration fields
if (!isset($volcanno_theme_config['include']['metabox']) || $volcanno_theme_config['include']['metabox'] == '1') {

    // Load from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/includes/post-metabox.php')) {

        require_once get_stylesheet_directory() . '/includes/post-metabox.php';
    }
    // Load from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/includes/post-metabox.php')) {

        require_once VOLCANNO_THEME_DIR . '/includes/post-metabox.php';
    }
}

// Include the script for plugin version checking
if (!isset($volcanno_theme_config['include']['tgmpa']) || $volcanno_theme_config['include']['tgmpa'] == '1') {

    // Load from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/includes/plugin-list.php')) {

        require_once get_stylesheet_directory() . '/includes/plugin-list.php';
    }
    // Load from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/includes/plugin-list.php')) {

        include_once VOLCANNO_THEME_DIR . '/includes/plugin-list.php';
    }
}

// Include the Mobile Detect script
if (!isset($volcanno_theme_config['include']['mobile_detect']) || $volcanno_theme_config['include']['mobile_detect'] == '1') {

    // Load from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/core/libs/external/Mobile_Detect.php')) {

        require_once get_stylesheet_directory() . '/core/libs/external/Mobile_Detect.php';
    }
    // Load from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/external/Mobile_Detect.php')) {

        include_once VOLCANNO_THEME_DIR . '/core/libs/external/Mobile_Detect.php';
    }
}

// Include the BFI Thumb image resizer
if (!isset($volcanno_theme_config['include']['bfi_thumb']) || $volcanno_theme_config['include']['bfi_thumb'] == '1') {

    // Load from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/core/libs/external/BFI_Thumb.php')) {

        require_once get_stylesheet_directory() . '/core/libs/external/BFI_Thumb.php';
    }
    // Load from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/external/BFI_Thumb.php')) {

        include_once VOLCANNO_THEME_DIR . '/core/libs/external/BFI_Thumb.php';
    }
}

// include Content Maker's registration script
// Load from Child theme is file is available
if (file_exists(get_stylesheet_directory() . '/core/content-maker/setup.php')) {

    require_once get_stylesheet_directory() . '/core/content-maker/setup.php';
}
// Load from Parent theme is file is available
else if (file_exists(VOLCANNO_THEME_DIR . '/core/content-maker/setup.php')) {

    require VOLCANNO_THEME_DIR . '/core/content-maker/setup.php';
}


// include Breadcrumbs script
// Load from Child theme is file is available
if (file_exists(get_stylesheet_directory() . '/core/libs/breadcrumbs.php')) {

    require_once get_stylesheet_directory() . '/core/libs/breadcrumbs.php';
}
// Load from Parent theme is file is available
else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/breadcrumbs.php')) {

    require VOLCANNO_THEME_DIR . '/core/libs/breadcrumbs.php';
}


// include Menus script
// Load from Child theme is file is available
if (file_exists(get_stylesheet_directory() . '/core/libs/menus.php')) {

    require_once get_stylesheet_directory() . '/core/libs/menus.php';
}
// Load from Parent theme is file is available
else if (file_exists(VOLCANNO_THEME_DIR . '/core/libs/menus.php')) {

    require VOLCANNO_THEME_DIR . '/core/libs/menus.php';
}


// include Contact info widget
if (!isset($volcanno_theme_config['include']['widget_contact_info']) || $volcanno_theme_config['include']['widget_contact_info'] == '1') {

    // Load from Child theme is file is available
    if (file_exists(get_stylesheet_directory() . '/core/widgets/widget-contact-info.php')) {

        require_once get_stylesheet_directory() . '/core/widgets/widget-contact-info.php';
    }
    // Load from Parent theme is file is available
    else if (file_exists(VOLCANNO_THEME_DIR . '/core/widgets/widget-contact-info.php')) {

        require VOLCANNO_THEME_DIR . '/core/widgets/widget-contact-info.php';
    }
}
?>
