<?php

/**
 * Disable News Blast
 */
$GLOBALS['redux_notice_check'] = false;

/**
 * Disable Update Notice
 */
$GLOBALS['redux_update_check'] = false;

// Remove Demo mode in Redux Framework
function volcanno_redux_remove_demo_mode() { // Be sure to rename this function to something more unique
    // remove notices
    if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_meta_demo_mode_link' ), null, 2 );
        remove_action( 'admin_notices', array( ReduxFrameworkPlugin::instance(), 'admin_notices' ) );
    }

    // remove text on ThemeCheck plugin
    if ( class_exists( 'ReduxFramework' ) ) {
        remove_action( 'admin_enqueue_scripts', array( Redux_ThemeCheck::get_instance(), 'enqueue_admin_scripts' ) );
    }

    // Remove tracking
    if ( class_exists( 'Redux_Tracking' ) ) {
        // Remove the tracking request notice.
        remove_action( 'admin_enqueue_scripts', array( Redux_Tracking::get_instance(), '_enqueue_tracking' ) );
        // Remove the newsletter tracking nag.
        remove_action( 'admin_enqueue_scripts', array( Redux_Tracking::get_instance(), '_enqueue_newsletter' ) );
    }
}

add_action( 'init', 'volcanno_redux_remove_demo_mode' );

/**
 * Remove redux menu under the tools
 */
function volcanno_remove_redux_menu() {
    remove_submenu_page( 'tools.php', 'redux-about' );
}

add_action( 'admin_menu', 'volcanno_remove_redux_menu', 12 );

/**
 * Remove Redux Framework Dashboard widget
 */
function example_remove_dashboard_widget() {
    remove_meta_box( 'redux_dashboard_widget', 'dashboard', 'side' );
}

add_action( 'wp_dashboard_setup', 'example_remove_dashboard_widget', 12 );

// Include Custom field Select Text
function volcanno_redux_select_text_field( $field ) {
    return get_template_directory() . '/core/theme-options/custom-fields/select_text/field_select_text.php';
}

add_filter( "redux/volcanno_options/field/class/select_text", "volcanno_redux_select_text_field" );

// Include custom field Select Label
function volcanno_redux_select_label_field( $field ) {
    return get_template_directory() . '/core/theme-options/custom-fields/select_label/field_select_label.php';
}

add_filter( "redux/volcanno_options/field/class/select_label", "volcanno_redux_select_label_field" );

// Include modified field Select Image
function volcanno_redux_select_image_field( $field ) {
    return get_template_directory() . '/core/theme-options/custom-fields/select_image/field_select_image.php';
}

add_filter( "redux/volcanno_options/field/class/select_image", "volcanno_redux_select_image_field" );

// Include Redux Framework files
if ( !class_exists( 'ReduxFramework' ) && file_exists( get_template_directory() . '/core/theme-options/redux-framework/ReduxCore/framework.php' ) ) {
    require_once get_template_directory() . '/core/theme-options/redux-framework/ReduxCore/framework.php';
}

// Theme option configuration
if ( !isset( $redux_demo ) ) {
    // Load from Child theme is file is available
    if ( file_exists( get_stylesheet_directory() . '/includes/theme-options.php' ) ) {
        require_once get_stylesheet_directory() . '/includes/theme-options.php';
    }
    // Load from Parent theme is file is available
    else if ( file_exists( VOLCANNO_THEME_DIR . '/includes/theme-options.php' ) ) {
        require_once VOLCANNO_THEME_DIR . '/includes/theme-options.php';
    }
}

