<?php
/**
 * Content for portfolio page
 */
global $wp_query, $volcanno_options, $vlc_is_retina, $volcanno_theme_config;
$style_class = '';
$vehicles_cta = '';
$vehicles_cta_html = '';

$gallery_ul_class = '';

// get portfolio style from pages options
$style = RWMB_META_BOX ? rwmb_meta('pg_vehicles_style', '', get_the_ID()) : false;

if (is_tax()) {
    $style = $volcanno_options['vehicles_category_style'];
}

$style = !empty($style) ? $style : 'full';

if (!is_tax()) {
// if user set 0, all posts will be fetched
    $posts_per_page = rwmb_meta('pg_vehicles_pagination', '', get_the_ID());
    if ($posts_per_page == 0) {
        $posts_per_page = '-1';
    }
}

// gallery
if ($style == 'full') {
    $container_class = "container-fluid";
    $columns_class = 'col-md-3';
} else if ($style == 'grid') {
    $columns_class = 'col-md-4';
    $container_class = "container";
}

// check if page needs to be paged
$paged = 1;
if (get_query_var('paged'))
    $paged = get_query_var('paged');
if (get_query_var('page'))
    $paged = get_query_var('page');

$lightbox_options = rwmb_meta('pg_vehicles_lightbox_options', '', get_the_ID());
$lightbox_current = rwmb_meta('pg_vehicles_project_images', '', get_the_ID());

// items order
$order = strip_tags(rwmb_meta('pg_vehicles_order', '', get_the_ID()));
$order_by = strip_tags(rwmb_meta('pg_vehicles_order_by', '', get_the_ID()));

// include specific taxonomies
$specific_taxonomies = rwmb_meta('pg_vehicles_include_cats', '', get_the_ID());

if (!empty($specific_taxonomies[0])) {
    // clean taxonomies
    $specific_taxonomies = trim($specific_taxonomies[0], ',');
    $specific_taxonomies = explode(',', $specific_taxonomies);
}
?>

<?php
// user content on Portfolio page
if (have_posts()) : while (have_posts()) : the_post();
        global $post;

        // check if Content Maker is active on this page
        if (CONTENT_MAKER) {
            $cma_active = cma_page_has_active_cma();
        }

        if (!is_tax()) {
            if ($post->post_content != "") {
                if (CONTENT_MAKER && $cma_active == '1') {
                    the_content();
                } else {
                    ?>
                    <section class="page-content">
                        <!-- container start -->
                        <div class="container">
                            <!-- .row start -->
                            <div class="row">
                                <div class="col-md-12">
                                    <?php
                                    the_content();
                                    ?>
                                </div>
                            </div><!-- .row end -->
                        </div><!-- .container end -->
                    </section>
                    <?php
                }
            }
        }

    endwhile;
endif;

// Vehicles Call to action section
$vehicles_cta = rwmb_meta('pg_vehicles_cta', '', get_the_ID());

if ($vehicles_cta == '1') {
    $cta_title = rwmb_meta('pg_vehicles_cta_title', '', get_the_ID());
    $cta_subtitle = rwmb_meta('pg_vehicles_cta_subtitle', '', get_the_ID());

    $cta_button = rwmb_meta('pg_vehicles_cta_button', '', get_the_ID());

    if ($cta_button == '1') {
        $cta_button_text = esc_html(rwmb_meta('pg_vehicles_cta_button_text', '', get_the_ID()));
        $cta_button_url = esc_url(rwmb_meta('pg_vehicles_cta_button_url', '', get_the_ID()));
    }

    $cta_bkg_color = rwmb_meta('pg_vehicles_cta_bkg_color', '', get_the_ID());
    $cta_bkg_image = rwmb_meta('pg_vehicles_cta_bkg_image', 'type=image&size=full', get_the_ID());
    $cta_bkg_image_first = reset($cta_bkg_image);

    if (!empty($cta_bkg_image_first['url'])) {
        $params = array('width' => 1920, 'height' => 310);

        // if user is on retina device, double the size of image
        if ($vlc_is_retina) {
            $params = array('width' => 3840, 'height' => 620);
        }

        $cropped_image = bfi_thumb($cta_bkg_image_first['url'], $params);
        $bkg_title_style = "style='background-image: url(" . esc_url_raw($cropped_image) . ") !important;'";
    } else if (!empty($cta_bkg_color)) {
        $bkg_title_style = "style='background: " . esc_html($cta_bkg_color) . " !important;'";
    } else {
        $bkg_title_style = '';
    }
    ob_start();
    ?>
    <div class="page-content dark vehicles-cta" <?php echo $bkg_title_style ?>>
        <!-- .container start -->
        <div class="container">
            <!-- .row start -->
            <div class="row">
                <div class="col-md-12">
                    <!-- .call-to-action start -->
                    <div class="call-to-action clearfix">
                        <div class="text">
                            <h2><?php echo wp_kses($cta_title, $volcanno_theme_config['allowed_html_tags']) ?></h2>
                            <p><?php echo wp_kses($cta_subtitle, $volcanno_theme_config['allowed_html_tags']) ?></p>
                        </div>
                        <?php if ($cta_button == '1'): ?>
                            <a href='<?php echo esc_url($cta_button_url) ?>' class='btn btn-big'>
                                <span><?php echo wp_kses($cta_button_text, $volcanno_theme_config['allowed_html_tags']) ?></span>
                            </a>
                        <?php endif; ?>
                    </div><!-- .call-to-action end -->
                </div><!-- .col-md-12 end -->
            </div><!-- .row end -->
        </div><!-- .container end -->
    </div>
    <?php
    $vehicles_cta_html = ob_get_clean();
}
?>

<!-- .page-content start -->
<section class="page-content vehicles-container">

    <!-- .container start -->
    <div class="<?php echo sanitize_html_class($container_class) ?>">
        <?php if (RWMB_META_BOX) : ?>
            <!-- .row start -->
            <div class="row <?php if ($style == 'full') echo "mb-0"; ?>">
                <!-- .vehicle-gallery start -->
                <ul class="vehicle-gallery clearfix style-<?php echo sanitize_html_class($style) ?>" data-lightbox-current="<?php echo esc_attr($lightbox_current) ?>">
                    <?php
                    //query args
                    if (is_tax()) {
                        global $wp_query;
                        $query_category = $wp_query->get_queried_object();
                        $category_id = $query_category->term_id;
                        $args = array('post_type' => 'pi_vehicles',
                            'posts_per_page' => $posts_per_page,
                            'paged' => $paged,
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'vehicle-category',
                                    'field' => 'id',
                                    'terms' => $category_id
                                )
                            ),
                            'order' => $order,
                            'orderby' => $order_by
                        );
                    } else if (!empty($specific_taxonomies)) {

                        $args = array(
                            'tax_query' => array(
                                array(
                                    'taxonomy' => 'vehicle-category',
                                    'field' => 'id',
                                    'terms' => $specific_taxonomies
                                )
                            ),
                            'post_type' => 'pi_vehicles',
                            'posts_per_page' => $posts_per_page,
                            'paged' => $paged,
                            'order' => $order,
                            'orderby' => $order_by
                        );
                    } else {
                        $args = array('post_type' => 'pi_vehicles', 'posts_per_page' => $posts_per_page, 'paged' => $paged, 'order' => $order, 'orderby' => $order_by);
                    }

                    // The Query
                    $wp_query = new WP_Query($args);

                    // The Loop
                    while ($wp_query->have_posts()) : $wp_query->the_post();

                        /* Show vehicle columns based on style selected in custom options */
                        $video_url = "";

                        $post_title = get_the_title();
                        $post_permalink = get_permalink();

                        if (!empty($post->post_excerpt)) {
                            $post_content = $post->post_excerpt;
                        } else {
                            $post_content = get_the_content();

                            $post_content = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $post->post_content);
                            $post_content = strip_tags($post_content);
                            $post_content = volcanno_substr($post_content, 200, 3);
                        }

                        // get all uploaded image IDs for this item
                        $images = rwmb_meta('vh_image', 'type=image&size=full', get_the_ID());
                        $image_url = reset($images);
                        $first_item_id = $image_url['ID'];
                        $image_url = $image_url['url'];

                        if ($style == 'full') {
                            $params = array('width' => 952, 'height' => 571);
                        } else {
                            $params = array('width' => 585, 'height' => 351);
                        }

                        // if user is on retina device, double the size of image
                        // filter image size, retina check is hooked on this
                        $params = apply_filters('volcanno_cpt_image_dimensions', $params);

                        $cropped_image = bfi_thumb($image_url, $params);

                        if (empty($cropped_image)) {
                            continue;
                        }

                        // all post meta fields
                        $post_meta = get_post_custom(get_the_ID());

                        // get format type
                        $post_format = isset($post_meta['vh_gallery_format']) ? $post_meta['vh_gallery_format'][0] : 'image';
                        if ($post_format == 'video') {
                            $video_url = rwmb_meta('vh_video_url', '', get_the_ID());
                        }
                        ?>
                        <li class='<?php echo sanitize_html_class($columns_class) ?>'>
                            <figure class='gallery-item-container'>                               
                                <div class='gallery-item'>
                                    <?php
                                    if ($lightbox_current == '1')
                                        echo '<div class="gallery">';
                                    if (($lightbox_options == 'animated' && $lightbox_current == '1') || $lightbox_options == 'image_link') {
                                        ?>
                                        <?php if ($post_format && $post_format == 'video'): ?>
                                            <a href="<?php echo esc_url($video_url) ?>" class="triggerZoomVideo">
                                            <?php else: ?>
                                                <a href="<?php echo esc_url($image_url); ?>" class="<?php if ($lightbox_options == 'image_link') echo "triggerZoom" ?>">
                                                <?php endif; ?>
                                            <?php } else { ?>
                                                <a href="<?php echo esc_url($post_permalink); ?>">
                                                <?php } ?>
                                                <img src="<?php echo esc_url($cropped_image); ?>" alt=""/>
                                            </a>

                                            <?php
                                            if ($lightbox_current == '1') {
                                                foreach ($images as $id => $val) {
                                                    $image = wp_get_attachment_image_src($val['ID'], 'full');

                                                    // prevent first item duplicate
                                                    if ($val['ID'] == $first_item_id) {
                                                        continue;
                                                    }
                                                    ?>
                                                    <a class="hidden-gallery-image" href="<?php echo esc_url($image[0]); ?>">
                                                        <img src="<?php echo esc_url($image[0]) ?>" 
                                                             alt="<?php echo esc_attr($post_title) ?>"                                                     
                                                             />
                                                    </a>
                                                    <?php
                                                }
                                                echo "</div>";
                                            }
                                            ?>

                                            <?php if ($lightbox_options == 'animated') { ?>
                                                <div class='hover-mask-container'>
                                                    <div class='hover-mask'></div>
                                                    <div class='hover-zoom'>
                                                        <?php if ($post_format && $post_format == 'video'): ?>
                                                            <a href='<?php echo esc_url($video_url); ?>' class='triggerZoomVideo fa fa-search'></a>
                                                        <?php else: ?>
                                                            <a href='<?php echo esc_url($image_url); ?>' class='triggerZoom fa fa-search  <?php if ($lightbox_current == '0') echo "gallery-item" ?>'></a>
                                                        <?php endif; ?>    
                                                    </div>
                                                </div>
                                            <?php } ?>


                                            </div>

                                            <figcaption>
                                                <h3><?php echo wp_kses($post_title, $volcanno_theme_config['allowed_html_tags']) ?></h3>
                                            </figcaption>
                                            </figure>
                                            </li>
                                            <?php
                                        endwhile;
                                        ?>
                                        </ul>
                                        </div>
                                        <?php volcanno_pagination('portfolio'); ?>
                                    <?php else: ?>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <?php esc_html_e('Please activate MetaBox and Custom Post Types plugins to show images!', 'trucking'); ?>
                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    </div><!-- .container end -->
                                    </section><!-- .page-content end -->
                                    <?php echo balanceTags($vehicles_cta_html) ?>