<!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
    <!--<![endif]-->
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />

        <?php global $volcanno_options ?>
        <?php if ( $volcanno_options['responsive'] == '1' ): ?>
            <meta name="viewport" content="width=device-width, initial-scale=1" />
        <?php endif; ?>

        <link rel="profile" href="http://gmpg.org/xfn/11" />

        <?php
        global $volcanno_options, $vlc_is_retina;
        ?>

        <link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>" />

        <?php
        /* We add some JavaScript to pages with the comment form
         * to support sites with threaded comments (when in use).
         */
        if ( is_singular() && get_option( 'thread_comments' ) )
            wp_enqueue_script( 'comment-reply' );

        /*  Important wp_head() hook */
        wp_head();
        ?>
    </head>
    <?php
    global $volcanno_theme_config;

    // website layout layout - NOT IN USE
    $website_layout = '';
    //$website_layout = "layout-" . $volcanno_options['website_layout'];
    //$website_layout = apply_filters('volcanno_website_layout', $website_layout);
    // add homepage class
    $homepage = is_front_page() ? 'homepage' : '';

    // custom body classes
    $volcanno_body_classes = array( $website_layout, $homepage );

    // get header style
    $header_style = apply_filters( 'volcanno_header_style', $volcanno_options['header_style'] );

    // check if search is used
    $header_search = $volcanno_options['header_search'] == '0' ? 'search-hidden' : '';

    if ( $header_style == 'header-style01' ) {
        $header_class = 'header-style01';
        $header_wrapper_class = 'header-transparent';
    } else if ( $header_style == 'header-style01-tp' ) {
        $header_class = 'header-style01';
        $header_wrapper_class = 'header-transparent header-with-tb';
    } else if ( $header_style == 'header-style02-l' ) {
        $header_class = 'header-style02';
        $header_wrapper_class = '';
    } else if ( $header_style == 'header-style02-d' ) {
        $header_class = 'header-style02';
        $header_wrapper_class = '';
    } else if ( $header_style == 'header-style02-d-tp' ) {
        $header_class = 'header-style02';
        $header_wrapper_class = 'dark';
    } else if ( $header_style == 'header-style03-l' ) {
        $header_class = 'header-style03';
        $header_wrapper_class = 'style03';
    } else if ( $header_style == 'header-style03-d' ) {
        $header_class = 'header-style03';
        $header_wrapper_class = 'style03 dark';
    } else {
        $header_class = 'header-type-1';
        $header_wrapper_class = '';
    }

    if ( $volcanno_options['static_header'] == '0' ) {
        $header_wrapper_class .= ' not-static';
    }

    // header 03 - button
    $header03_button_text = $volcanno_options['header_button_text'];
    $header03_button_url = $volcanno_options['header_button_url'];

    // top bar content type
    $top_bar_content_type = $volcanno_options['top_bar_content_type'];

    if ( !function_exists( 'volcanno_generate_logo_html' ) ) {

        function volcanno_generate_logo_html() {
            ob_start();
            ?>
            <!-- .logo start -->
            <div class="logo">
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                    <?php
                    echo volcanno_get_logo_html();
                    ?>
                </a>
            </div><!-- logo end -->
            <?php
            return ob_get_clean();
        }

    }
    if ( !function_exists( 'volcanno_generate_search_html' ) ) {

        function volcanno_generate_search_html() {
            ob_start();
            ?>
            <!-- #search-box start -->
            <div id="search">
                <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                    <input class="search-submit" type="submit" />
                    <input id="m_search" name="s" type="text" placeholder="<?php esc_html_e( 'Type and hit enter...', 'trucking' ) ?>" onkeydown="if (event.keyCode == 13) {
                                this.form.submit();
                                return false;
                            }"/>                        
                </form>
            </div><!-- #search-box end -->
            <?php
            return ob_get_clean();
        }

    }
    if ( !function_exists( 'volcanno_generate_menu_html' ) ) {

        function volcanno_generate_menu_html() {
            ob_start();

            wp_nav_menu(
                    array(
                        'theme_location' => 'primary',
                        'container' => false,
                        'items_wrap' => '<ul id="%1$s" class="nav navbar-nav pi-nav %2$s">%3$s</ul>',
                        'walker' => new Volcanno_Theme_Menu_Walker(),
                        'fallback_cb' => false
                    )
            );

            return ob_get_clean();
        }

    }

    if ( !function_exists( 'volcanno_generate_responsive_menu_html' ) ) {

        function volcanno_generate_responsive_menu_html() {
            global $volcanno_options, $volcanno_theme_config;

            ob_start();

            if ( !empty( $volcanno_options['mobile_menu_text_open'] ) ) {
                $mobile_menu_text = $volcanno_options['mobile_menu_text_open'];
            } else {
                $mobile_menu_text = esc_html_( 'Open Menu', 'trucking' );
            }
            ?>
            <!-- responsive navigation start -->
            <div id="dl-menu" class='dl-menuwrapper'>
                <button class="dl-trigger"><?php echo esc_html( $mobile_menu_text ) ?></button>
                <?php
                wp_nav_menu(
                        array(
                            'theme_location' => 'responsive',
                            'container' => false,
                            'items_wrap' => '<ul id="%1$s" class="%2$s dl-menu">%3$s</ul>',
                            'walker' => new Volcanno_Theme_Responsive_Menu_Walker(),
                            'fallback_cb' => false,
                            'responsive_menu' => '1' //argument added to distinguish regular menu with responsive
                        )
                );
                ?> <!-- responsive navigation end -->
            </div>  
            <?php
            return ob_get_clean();
        }

    }
    if ( !function_exists( 'volcanno_generate_contact_html' ) ) {

        function volcanno_generate_contact_html() {
            global $volcanno_options, $volcanno_theme_config;

            ob_start();
            ?>
            <ul id="quick-links">
                <?php
                foreach ( $volcanno_options['header_contact']['icon'] as $index => $icon ) {
                    ?>
                    <li>
                        <i class="<?php echo esc_html( $icon ) ?>"></i>
                        <span><?php echo wp_kses( $volcanno_options['header_contact']['text'][$index], $volcanno_theme_config['allowed_html_tags'] ) ?></span>
                    </li>
                <?php } ?>
            </ul><!-- .contact-info end -->
            <?php
            return ob_get_clean();
        }

    }
    if ( !function_exists( 'volcanno_generate_social_html' ) ) {

        function volcanno_generate_social_html() {
            global $volcanno_options;

            ob_start();
            ?>
            <!--- .social-links start -->
            <ul id="social-links">
                <?php
                foreach ( $volcanno_options['header_social_icons']['icon'] as $index => $icon ) {
                    ?>
                    <li>
                        <a href="<?php echo esc_url( $volcanno_options['header_social_icons']['text'][$index] ) ?>" class="<?php echo sanitize_html_class( $icon ) ?>"></a>
                    </li>
                <?php } ?>
            </ul><!-- .social-links end -->
            <?php
            return ob_get_clean();
        }

    }
    if ( !function_exists( 'volcanno_generate_wpml_language_switcher' ) ) {

        function volcanno_generate_wpml_language_switcher() {

            // check if WPML is active
            if ( function_exists( 'icl_get_languages' ) ) {
                $languages = icl_get_languages( 'skip_missing=0&orderby=code' );
                if ( !empty( $languages ) ) {
                    $language_list = '';
                    ?>

                    <div class="wpml-languages enabled">
                        <?php
                        foreach ( $languages as $l ) {
                            if ( $l['active'] ) {
                                $active_lang = "<a class='active'>
                                                <img src='{$l['country_flag_url']}' alt='{$l['native_name']}'/>
                                                <i class='fa fa-chevron-down'></i>
                                            </a>";
                            }

                            $language_list .= '<li><a href="' . $l['url'] . '"><img src="' . $l['country_flag_url'] . '" height="12" alt="' . $l['language_code'] . '" width="18" /></a></li>';
                        }
                        echo wp_kses_post( $active_lang );
                        echo "<ul class='wpml-lang-dropdown'>";
                        echo wp_kses_post( $language_list );
                        echo "</ul>";
                        ?>

                    </div>
                    <?php
                }
            }
        }

    }
    ?>
    <body <?php body_class( $volcanno_body_classes ); ?>>

        <?php do_action( 'volcanno_body_start' ); ?>

        <?php if ( $website_layout == 'boxed' ): ?>
            <!-- .page-wrapper start -->
            <div id="page-wrapper" class="clearfix">
            <?php endif; ?>
            <!-- #header-wrapper start -->
            <section id="header-wrapper" class="clearfix header-wrapper <?php echo esc_attr( $header_wrapper_class ), " ", sanitize_html_class( $header_search ) ?>">

                <header id="header" class="<?php echo esc_attr( $header_class ); ?>">

                    <?php if ( $header_style == 'header-style03-l' || $header_style == 'header-style03-d' ): ?>
                        <div class="logo-info-container">
                            <div class="container">
                                <div class="row">
                                    <div class="col-md-6">
                                        <?php echo volcanno_generate_logo_html(); ?>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="info-container">
                                            <?php
                                            if ( $top_bar_content_type == 'contact' ) {
                                                if ( isset( $volcanno_options['header_contact'] ) && is_array( $volcanno_options['header_contact'] ) && !empty( $volcanno_options['header_contact']['icon'][0] ) ):
                                                    echo volcanno_generate_contact_html();
                                                endif;
                                            }else {
                                                if ( isset( $volcanno_options['header_social_icons'] ) && is_array( $volcanno_options['header_social_icons'] ) && !empty( $volcanno_options['header_social_icons']['icon'][0] ) ):
                                                    echo volcanno_generate_social_html();
                                                endif;
                                            }
                                            ?>

                                            <?php
                                            if ( isset( $volcanno_options['header_wpml_flags'] ) && $volcanno_options['header_wpml_flags'] == '1' ):
                                                echo volcanno_generate_wpml_language_switcher();
                                            endif;
                                            ?>

                                            <?php
                                            if ( $volcanno_options['header_search'] == '1' ):
                                                echo volcanno_generate_search_html();
                                            endif;
                                            ?>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="header-inner">
                        <?php endif; ?>

                        <?php if ( $header_style == 'header-style01-tp' || $header_style == 'header-style02-l' || $header_style == 'header-style02-d' || $header_style == 'header-style02-d-tp' ): ?>

                            <!-- #top-bar-wrapper start -->
                            <div id="top-bar-wrapper" class="clearfix <?php if ( $header_style == 'header-style02-d' ) echo "dark"; ?>">

                                <div class="container">
                                    <div class="row">
                                        <div class="col-md-6 col-xs-9">
                                            <?php
                                            if ( $top_bar_content_type == 'contact' ) {
                                                if ( isset( $volcanno_options['header_contact'] ) && is_array( $volcanno_options['header_contact'] ) && !empty( $volcanno_options['header_contact']['icon'][0] ) ):
                                                    echo volcanno_generate_contact_html();
                                                endif;
                                            }else {
                                                if ( isset( $volcanno_options['header_social_icons'] ) && is_array( $volcanno_options['header_social_icons'] ) && !empty( $volcanno_options['header_social_icons']['icon'][0] ) ):
                                                    echo volcanno_generate_social_html();
                                                endif;
                                            }
                                            ?>
                                        </div><!-- .col-md-6 end -->

                                        <div class="col-md-6 col-xs-3">
                                            <?php
                                            if ( isset( $volcanno_options['header_wpml_flags'] ) && $volcanno_options['header_wpml_flags'] == '1' ):
                                                echo volcanno_generate_wpml_language_switcher();
                                            endif;
                                            ?>

                                        </div><!-- .col-md-6 end -->
                                    </div><!-- .row end -->
                                </div><!-- .container end -->
                            </div><!-- #top-bar-wrapper end -->

                            <div class="header-inner">
                            <?php endif; ?>
                            <!-- .container start -->
                            <div class="container">

                                <div class="main-nav">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <?php if ( $header_style == 'header-style01' || $header_style == 'header-style01-tp' || $header_style == 'header-style02-l' || $header_style == 'header-style02-d' || $header_style == 'header-style02-d-tp' || $header_style == 'header-style03-l' || $header_style == 'header-style03-d' ): ?>

                                                <!-- .navbar.pi-mega start -->
                                                <nav class="navbar navbar-default nav-left pi-mega" role="navigation">	
                                                    <?php if ( $header_style != 'header-style03-l' && $header_style != 'header-style03-d' ): ?>
                                                        <!-- .navbar-header start -->
                                                        <div class="navbar-header">
                                                            <?php echo volcanno_generate_logo_html(); ?>
                                                        </div>
                                                    <?php endif; ?>

                                                    <!-- Collect the nav links, forms, and other content for toggling -->
                                                    <div class="collapse navbar-collapse">
                                                        <?php
                                                        echo volcanno_generate_menu_html();
                                                        echo volcanno_generate_responsive_menu_html();
                                                        ?>
                                                        <?php
                                                        if ( $volcanno_options['header_search'] == '1' && $header_style != 'header-style03-l' && $header_style != 'header-style03-d' ):
                                                            echo volcanno_generate_search_html();
                                                        endif;
                                                        ?>
                                                        <?php if ( $header_style == 'header-style03-l' || $header_style == 'header-style03-d' ): ?>
                                                            <a class="btn btn-medium" href="<?php echo esc_url_raw( $header03_button_url ) ?>">
                                                                <span>
                                                                    <?php echo esc_html( $header03_button_text ) ?>
                                                                </span>
                                                            </a>
                                                        <?php endif; ?>
                                                    </div><!-- .navbar.navbar-collapse end --> 
                                                </nav><!-- .navbar.pi-mega end -->

                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php if ( $header_style == 'header-style01-tp' || $header_style == 'header-style02-l' || $header_style == 'header-style02-d' || $header_style == 'header-style02-d-tp' || $header_style == 'header-style03-l' || $header_style == 'header-style03-d' ): ?>
                            </div>
                        <?php endif; ?>
                </header>
            </section><!-- #header-wrapper end -->
