<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Blockquote")) {

    class CMA_Shortcodes_Blockquote extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Blockquote', 'trucking');
            $settings['description'] = esc_html__('Section with text that is quoted from another source.', 'trucking');
            $settings['shortcode'] = 'cma_blockquote';
            $settings['nested'] = false;
            $settings['selected_option'] = 'text'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            global $volcanno_theme_config;

            $bkg_style = '';
            $classes = '';

            extract(shortcode_atts(array(
                'type' => 'blockquote-style-1',
                'text' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse eget erat feugiat, bibendum libero eu, semper velit.',
                'author' => 'Blockquote Author',
                'bkg_color' => '#f6f6f6',
                'dark_bkg' => '0'
                            ), $atts, 'cma_blockquote'));

            if ($type == 'blockquote-style-2' && !empty($bkg_color)) {
                $bkg_style = "style='background-color: {$bkg_color};'";
                $classes .= ' custom-background';

                if ($dark_bkg == '1') {
                    $classes .= ' dark';
                }
            }

            $text = wp_kses_post($text);
            $author = wp_kses($author, $volcanno_theme_config['allowed_html_tags']);
            
            $html = "<blockquote class='{$type} {$classes}' {$bkg_style}><p>{$text}<cite>{$author}</cite></p></blockquote>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Type', 'trucking'),
                    'description' => esc_html__('Select element type.', 'trucking'),
                    'options' => array(
                        'blockquote-style-1' => esc_html__('Left border', 'trucking'),
                        'blockquote-style-2' => esc_html__('Background color', 'trucking')
                    ),
                    'default' => 'blockquote-style-1'
                ),
                'bkg_color' => array(
                    'type' => 'color_picker',
                    'title' => esc_html__('Background color', 'trucking'),
                    'description' => esc_html__('Set background color.', 'trucking'),
                    'condition' => array('type', '==', 'blockquote-style-2')
                ),
                'dark_bkg' => array(
                    'type' => 'checkbox',
                    'title' => esc_html__('Dark background', 'trucking'),
                    'description' => esc_html__('Check this when you select dark color for background. Text will be changed to white for better contrast.', 'trucking'),
                    'condition' => array('type', '==', 'blockquote-style-2')
                ),
                'text' => array(
                    'type' => 'textarea',
                    'title' => esc_html__('Text', 'trucking'),
                    'description' => esc_html__('Enter blockquote text here.', 'trucking')
                ),
                'author' => array(
                    'type' => 'text',
                    'title' => esc_html__('Author', 'trucking'),
                    'description' => esc_html__('Enter blockquote author.', 'trucking')
                ),
                
            );
        }

    }

}
?>
