<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Dividers")) {

    class CMA_Shortcodes_Dividers extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Divider', 'trucking');
            $settings['description'] = esc_html__('Text & Section divider.', 'trucking');
            $settings['shortcode'] = 'cma_divider';
            $settings['nested'] = false;
            //$settings['hide_in_ui'] = true;

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            $classes = 'btn';
            $color = '';

            extract(shortcode_atts(array(
                'type' => 'circle_grey',
                'width' => 'short'
                            ), $atts, 'cma_divider'));

            // first two types are css based dividers, others are png's
            if($type == 'circle_grey' || $type == 'circle_color'){
                
                // theme color
                if($type == 'circle_color'){
                    $color = 'colored';
                }
                
                $html = "<div class='hr-simple {$color} {$width}'><span class='hr-simple-circle'></span></div>";
            }else{                
                $html = "<div class='hr-png-{$type}'></div>";
            }

            

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'type' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Type', 'trucking'),
                    'description' => esc_html__('Select divider type', 'trucking'),
                    'options' => array(
                        'circle_grey' => esc_html__('Circle - grey', 'trucking'),
                        'circle_color' => esc_html__('Circle - color', 'trucking'),
                        '10' => esc_html__('Dots - five lines', 'trucking'),
                        '1' => esc_html__('Dots - four lines', 'trucking'),
                        '3' => esc_html__('Dots - three lines', 'trucking'),
                        '8' => esc_html__('Dots - three lines - condensed', 'trucking'),
                        '6' => esc_html__('Dots - two lines', 'trucking'),
                        '2' => esc_html__('Lines - 45deg', 'trucking'),
                        '4' => esc_html__('Lines - 45deg - slim', 'trucking'),
                        '7' => esc_html__('Lines - 45deg - superslim', 'trucking'),
                        '9' => esc_html__('Lines - 45deg - condensed', 'trucking'),
                        '5' => esc_html__('Lines - vertical', 'trucking')
                    ),
                    'default' => 'circle_grey'
                ),
                'width' => array(
                    'type' => 'radio',
                    'title' => esc_html__('Width', 'trucking'),
                    'description' => esc_html__('Select divider width', 'trucking'),
                    'options' => array(
                        'short' => esc_html__('Short', 'trucking'),
                        'full' => esc_html__('Full width', 'trucking')
                    ),
                    'default' => 'short',
                    'condition' => array('type', '=', 'circle_grey|circle_color')
                ) 
           );
        }

    }

}
?>
