<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Gallery")) {

    class CMA_Shortcodes_Gallery extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Lightbox Gallery', 'trucking');
            $settings['description'] = esc_html__('Simple gallery with lightbox preview.', 'trucking');
            $settings['shortcode'] = 'cma_gallery';
            $settings['nested'] = false;
            $settings['selected_option'] = 'grid'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function enqueue_scripts() {
            /* script */
            wp_enqueue_script('cma-scripts-gallery', CMA_CONTENT_URL . 'gallery/js/gallery.js', array('jquery', 'magnific-popup'), '1.0', TRUE);
        }

        function shortcode_html($atts = array(), $content = null) {
            global $volcanno_theme_config;

            $title_html = '';

            extract(shortcode_atts(array(
                'images' => ''
                            ), $atts, 'cma_gallery'));

            $html = "<ul class='vehicle-gallery clearfix'>";

            foreach ($images as $index => $gal_image) {
                $title_html = '';

                // get image or add placeholder
                if (empty($gal_image['image'])) {
                    $image_url = TEMPLATEURL . "/img/placeholders/services.jpg";
                } else {
                    $image = explode(',', $gal_image['image']);

                    //get first image
                    $image_url_full = wp_get_attachment_image_src($image[0], 'full');

                    // crop the image
                    $params = array('width' => 550, 'height' => 330);

                    // filter image size, retina check is hooked on this
                    $params = apply_filters('cma_element_image_dimensions', $params, $this->shortcode_settings['shortcode']);

                    // crop the image
                    $image_url = bfi_thumb($image_url_full[0], $params);
                }

                if (!empty($gal_image['title'])) {
                    $title = wp_kses($gal_image['title'], $volcanno_theme_config['allowed_html_tags']);

                    $title_html = "<figcaption>
                                    <h3>{$title}</h3>
                                </figcaption>";
                }

                // alt tag
                $alt = !empty($gal_image['title']) ? esc_attr($gal_image['title']) : 'gallery-image';

                $image_html = "<img src='{$image_url}' alt='{$alt}'>";

                $html .= "<li class='col-md-3'>
                            <figure class='gallery-item-container'>                               
                                <div class='gallery-item'>
                                    {$image_html}

                                    <div class='hover-mask-container'>
                                        <div class='hover-mask'></div>
                                        <div class='hover-zoom'>
                                            <a href='{$image_url_full[0]}' class='triggerZoom fa fa-search'></a>
                                        </div>
                                    </div>
                                </div>

                                {$title_html}
                            </figure>
                        </li>";
            }

            $html .= "</ul>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'images' => array(
                    'type' => 'group',
                    'title' => esc_html__('Gallery', 'trucking'),
                    'max' => '',
                    'options' => array(
                        'image' => array(
                            'type' => 'image',
                            'title' => esc_html__('Images', 'trucking'),
                            'description' => esc_html__('Upload slider images.', 'trucking')
                        ),
                        'title' => array(
                            'type' => 'text',
                            'title' => esc_html__('Title', 'trucking'),
                            'description' => esc_html__('Enter image title.', 'trucking')
                        )
                    )
                ),
            );
        }

    }

}
?>
