<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_History")) {
    
class CMA_Shortcodes_History extends Content_Maker_Shortcodes {

    function shortcode_block_info() {
        $settings['title'] = esc_html__('History', 'trucking');
        $settings['description'] = esc_html__('Large history tabs with timeline..', 'trucking');
        $settings['shortcode'] = 'cma_history';
        $settings['nested'] = false;
        $settings['selected_option'] = 'events|year'; // enter field ID - show this field's value on element on grid - easier to find desired element

        $this->shortcode_settings = $settings;
    }

    function shortcode_html($atts = array(), $content = null) {
        global $volcanno_theme_config;
        
        $custom_allowed_tags = $volcanno_theme_config['allowed_html_tags'];
        $custom_allowed_tags['ul'] = array('class' => array());
        $custom_allowed_tags['li'] = array('class' => array());
        $custom_allowed_tags['i'] = array('class' => array());
        
        $i = 1;
        $randomID = rand(1, 999);

        extract(shortcode_atts(array(
            'events' => ''
                        ), $atts, 'cma_history'));

        $html = "<ul class='company-timeline clearfix'>";

        // reset counter
        $i = 1;
        // crop the image
        $params = array('width' => 170, 'height' => 170);

        // content
        foreach ($events as $event) {

            $year = !empty($event['year']) ? $event['year'] : date("Y");
            $title = !empty($event['title']) ? $event['title'] : 'Event in company\'s history.';
            $title = wp_kses($title, $volcanno_theme_config['allowed_html_tags']);
            $description = !empty($event['description']) ? $event['description'] : 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin tellus justo, blandit ac orci et, consequat imperdiet velit.';
            $description = wp_kses($description, $custom_allowed_tags);
            
            $icon = !empty($event['icon']) ? $event['icon'] : 'fa-calendar';
            
            // check if there are HTML in content
            if ($description == strip_tags($description, '<strong><a>')) {
                $description = "<p>{$description}</p>";
            }
            
            $html .= "<li>
                            <div class='icon-date-container'>
                                <i class='fa {$icon}'></i>
                            </div>

                            <div class='timeline-item-details'>
                                <h3><span class='year'>{$year}</span> {$title}</h3>

                                {$description}
                            </div>
                        </li>";
        }

        $html .= "</ul>";

        return $html;
    }

    function shortcode_options_fields() {

        $this->shortcode_options = array(
            'events' => array(
                'type' => 'group',
                'title' => esc_html__('Events', 'trucking'),
                'max' => '',
                'options' => array(
                    'year' => array(
                        'type' => 'number',
                        'title' => esc_html__('Year', 'trucking'),
                        'description' => esc_html__('Enter year of this event.', 'trucking'),
                        'default' => '2014'
                    ),
                    'title' => array(
                        'type' => 'text',
                        'title' => esc_html__('Title', 'trucking'),
                        'description' => esc_html__('Enter event name of some short title.', 'trucking')
                    ),
                    'description' => array(
                        'type' => 'textarea',
                        'title' => esc_html__('Description', 'trucking'),
                        'description' => esc_html__('Enter event description. If you add HTML, regular text must be wrapped in paragraph tag.', 'trucking'),
                        'default' => ''
                    ),
                    'icon' => array(
                        'type' => 'icon_picker',
                        'title' => esc_html__('Icon', 'trucking'),
                        'description' => esc_html__('Add icon or leave empty for default calendar icon.', 'trucking')
                    ),
                )
            )
        );
    }

}
}
?>
