<?php

// Prevent loading file directly
if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists("CMA_Shortcodes_Locations")) {

    class CMA_Shortcodes_Locations extends Content_Maker_Shortcodes {

        function shortcode_block_info() {
            $settings['title'] = esc_html__('Locations list', 'trucking');
            $settings['description'] = esc_html__('List with locations in every part of the world.', 'trucking');
            $settings['shortcode'] = 'cma_locations';
            $settings['nested'] = false;
            $settings['selected_option'] = 'type'; // enter field ID - show this field's value on element on grid - easier to find desired element

            $this->shortcode_settings = $settings;
        }

        function shortcode_html($atts = array(), $content = null) {
            $sorted_locs = array();

            extract(shortcode_atts(array(
                'locations' => ''
                            ), $atts, 'cma_locations'));

            $html = "<ul class='locations-li'>";

            foreach ($locations as $index => $location) {

                // get first letter
                $firstLetter = substr($location['location'], 0, 1);
                $firstLetter = lcfirst($firstLetter);

                // sort values by first letter
                $sorted_locs[$firstLetter][] = $location['location'];
            }

            // sort values
            ksort($sorted_locs);

            // loop through values and echo HTML
            foreach ($sorted_locs as $index => $items) {
                $index = ucfirst($index);
                $html .= "<li>
                            <h3>{$index}</h3>
                            <ul class='fa-ul'>";

                foreach ($items as $country) {
                    $country = strip_tags($country);
                    
                    $html .= "<li>
                                <i class='fa fa-li fa-map-marker'></i>
                                {$country}
                             </li>";
                }

                $html .= "  </ul>
                          </li>";
            }

            $html .= "</ul>";

            return $html;
        }

        function shortcode_options_fields() {

            $this->shortcode_options = array(
                'locations' => array(
                    'type' => 'group',
                    'title' => esc_html__('Locations', 'trucking'),
                    'options' => array(
                        'location' => array(
                            'type' => 'text',
                            'title' => esc_html__('Location', 'trucking'),
                            'description' => esc_html__('One location per field.', 'trucking')
                        ),
                    )
                ),
            );
        }

    }

}
?>
