(jQuery)(function ($) {

    /* ================ GOOGLE MAPS ================ */
    $('.locations-map').each(function () {

        // init
        var map, marker, markerPosition;
        var mapTypeId = google.maps.MapTypeId.ROADMAP;

        // get options from html data attribute
        var mapType = $(this).data('type');
        var longitude = $(this).data('long');
        var latitude = $(this).data('lat');
        var zoom = parseInt($(this).data('zoom'));
        var defaultUi = $(this).data('default-ui') == '1';
        var scrollWheel = $(this).data('scroll-wheel') == '1';
        var contrast = $(this).data('contrast');
        var markers = $(this).data('markers');

        var style = [
            {"featureType": "road",
                "elementType":
                        "labels.icon",
                "stylers": [
                    {"saturation": 1},
                    {"gamma": 1},
                    {"visibility": "on"},
                    {"hue": "#e6ff00"}
                ]
            },
            {"elementType": "geometry", "stylers": [
                    {"saturation": -85}
                ]
            }
        ];

        // map type
        if (mapType == 'roadmap') {
            mapTypeId = google.maps.MapTypeId.ROADMAP;
        } else if (mapType == 'terrain') {
            mapTypeId = google.maps.MapTypeId.TERRAIN;
        } else if (mapType == 'satellite') {
            mapTypeId = google.maps.MapTypeId.SATELLITE;
        }

        // latitude and longitude
        var mapCenter = new google.maps.LatLng(latitude, longitude);

        var infowindow = new google.maps.InfoWindow();

        // map options
        var mapOptions = {
            // SET THE CENTER
            center: mapCenter,
            // SET THE MAP STYLE & ZOOM LEVEL
            mapTypeId: mapTypeId,
            zoom: zoom,
            // SET THE BACKGROUND COLOUR
            backgroundColor: "#eeeeee",
            panControl: true,
            zoomControl: true,
            mapTypeControl: false,
            scaleControl: true,
            streetViewControl: true,
            overviewMapControl: true,
            scrollwheel: scrollWheel,
            disableDefaultUI: defaultUi,
            zoomControlOptions: {
                style: google.maps.ZoomControlStyle.SMALL
            }

        };

        map = new google.maps.Map(this, mapOptions);

        if (contrast == 'grayscale') {
            //MAP BLACK AND WHITE STYLE
            var style = [
                {"featureType": "road",
                    "elementType":
                            "labels.icon",
                    "stylers": [
                        {"saturation": 1},
                        {"gamma": 1},
                        {"visibility": "on"},
                        {"hue": "#e6ff00"}
                    ]
                },
                {"elementType": "geometry", "stylers": [
                        {"saturation": -100}
                    ]
                }
            ];

            // SET THE MAP TYPE
            var mapType = new google.maps.StyledMapType(style, {name: "Grayscale"});
            map.mapTypes.set('grey', mapType);
            map.setMapTypeId('grey');
        } else if (contrast == 'saturated') {
            var style = [
                {"featureType": "road",
                    "elementType":
                            "labels.icon",
                    "stylers": [
                        {"saturation": 1},
                        {"gamma": 1},
                        {"visibility": "on"},
                        {"hue": "#e6ff00"}
                    ]
                },
                {"elementType": "geometry", "stylers": [
                        {"saturation": -85}
                    ]
                }
            ];

            // SET THE MAP TYPE
            var mapType = new google.maps.StyledMapType(style, {name: "Grayscale"});
            map.mapTypes.set('grey', mapType);
            map.setMapTypeId('grey');
        }

        var marker, i;

        if (typeof (markers) != "underfined") {
            for (i in markers) {
                
                //CREATE A CUSTOM PIN ICON
                if (typeof (markers[i][4]) != "undefined") {                   
                    
                    var marker_image = markers[i][4];                    
                } else {
                    
                    var marker_image = LocationsMap.theme_url + '/img/pin.png';                    
                }
                
                var pinIcon = new google.maps.MarkerImage(marker_image, null, null, null, new google.maps.Size(21, 34));

                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(markers[i][1], markers[i][2]),
                    map: map,
                    icon: pinIcon
                });

                google.maps.event.addListener(marker, 'click', (function (marker, i) {
                    return function () {
                        infowindow.setContent(markers[i][0]);
                        infowindow.open(map, marker);
                    }
                })(marker, i));
            }
        }



    });

});

